Welcome

Welcome to Total Access Emailer!

Welcome! Thanks for using Total Access Emailer. Total Access Emailer leverages the power of Microsoft Access and email so you can generate personalized email for everyone in your Access tables or queries. In addition to Total Access Emailer, we offer many products for Microsoft Access developers, administrators, and users:

  • Total Access Admin (database maintenance control)

  • Total Access Analyzer (database documentation)

  • Total Access Components (ActiveX controls)

  • Total Access Detective (difference detector)

  • Total Access Memo (rich text memos)

  • Total Access Speller (spell checking)

  • Total Access Startup (managed database startup)

  • Total Access Statistics (statistical analysis program)

  • Total Visual Agent (maintenance and scheduling)

  • Total Visual CodeTools (code builders and managers)

  • Total Visual SourceBook (code library)

  • Total Zip Code Database (city and state lookup lists)

  • EzUpData (share your data, reports, and files over the internet)

Visit our web site, www.fmsinc.com, for more information. We also offer Sentinel Visualizer, an advanced data visualization program that identifies relationships among people, places and events through link charts, geospatial mapping, timelines, social network analysis, etc. Visit our Advanced Systems Group at www.fmsasg.com for details.

Please make sure you sign up for our free email newsletter. This guarantees that you will be contacted in the event of news, upgrades, and beta invitations. Once again, thank you for selecting Total Access Emailer.

Luke Chung
President


About Total Access Emailer

Microsoft Office Access is the most popular database program in the world. It achieved its success by solving a wide range of database problems quickly and cost efficiently. Most organizations use Access databases to store contact information, including email addresses, for customers, clients, prospects, employees, and more.

Until now, leveraging this data to communicate with your contacts was difficult and inefficient. Total Access Emailer makes it simple by letting you generate personalized email messages for contacts stored in your tables. Send messages in Text or HTML format, attach files, send filtered data and reports, embed Access objects, and use field values to create unique, personalized emails for each recipient. You can even maintain audit trails to track who was contacted, when they were emailed, and what they received.

Designed Exclusively for Microsoft Access

Total Access Emailer is designed specifically for Access with an intuitive, easy-to-use interface. Tightly integrated into Access, it runs as an add-in and includes an interactive, Wizard-like user interface, making it easy to customize your email blasts right in Access.

Choose any table or query in your database, specify the email field, and you’re ready to contact everyone in your list. You can use field references to send personalized emails, and even attach files and embed filtered Access tables, queries/views, and reports.

Your email blast settings are automatically saved in your database for reuse and sharing with other users.

For optimal performance, your databases should be regularly compacted and backed up. If you do not have an automated process in place, consider Total Visual Agent from FMS, which automates these administrative chores. For more information and a demo, visit www.fmsinc.com.

See Also

    • Program Highlights

    • Enhancements in this Version

    • Visit our Web Site


Program Highlights

Unlimited Custom Emails

  • Send Email to Everyone
    Easily send email to a list of email addresses from a table or query. Emails can be sent individually or in bulk using Cc or Bcc.

  • Personalize Email
    Customize the email subject and message for each recipient by referencing field values from your table or query. You can even specify a field in your data containing the subject and message, giving you complete control over each message.

  • Embed Access Objects
    Embed tables, queries/views, and reports in your email message, or as attachments. Leave the data unfiltered to send every recipient the same data, or filter it so it’s customized for each recipient (e.g., send recipients only their own invoices). With this feature, you can use Access reports to create custom HTML messages for each recipient, or send the reports as a PDF file or snapshot.

  • Send Your Email Again
    Email blast settings are automatically saved for reuse— send the email again, or edit it with your latest message.

  • Send to People You Have Not Emailed
    An optional audit trail can be maintained to track when you sent an email to each person. Easily send the same email to new people or to those whom the original message skipped because the process was interrupted.

  • Send HTML and/or Text Messages
    Send your email in HTML or text format or in both formats. You can even determine which method to use for individual recipients based on a field in your table.

  • Add Attachments including Filtered Reports as PDFs
    Easily attach files and embed Access tables, queries/views, and reports as attachments, including PDF reports. Use the same attachment for everyone, or customize attachments for each message.

  • Save Attachments to Disk
    Save a copy of the attachment files to your local PC or network.

  • Show Custom FROM Address
    Specify the FROM address for your emails. Use the same for every email or reference a field from the data source.

Management Features Guarantee Success

  • Preview Messages
    Before you send your email blast, preview your messages by sending them to a table, the screen, or an email address you specify. You can test with your entire list or specify a limited number of email addresses.

  • Schedule Email Blasts
    Easily schedule an email blast to run at a later time. This is ideal if you want to send messages after hours when your mail server is less busy.

  • Send Multiple Email Blasts
    Send multiple email blasts one after another if you have email blasts that need to go out consecutively, or if you use multiple data sources for related email blasts.

Avoid Outlook Automation Problems

To prevent email viruses, Outlook makes it practically impossible to send multiple emails programmatically. You may even have to manually confirm each message individually.

Total Access Emailer avoids this problem by using SMTP rather than Outlook. SMTP is fast and efficient, and it even allows you to specify the FROM email address of your messages, which can be different from your Outlook address.

Programmatic Features

With the purchase of the Runtime License, a programmatic interface is available for Access developers to add email blasts into their applications. Give your users the power of sending custom emails at the touch of a button with royalty-free runtime distribution rights! See Programmatic Interface for details.

See Also

    • About Total Access Emailer

    • Enhancements in this Version

    • Visit our Web Site


Enhancements in this Version

Version 16 for Microsoft Access 2016

The latest release of Total Access Emailer supports Microsoft Access 2016 and includes the features added in the previous versions. It includes both 32 and 64-bit support for Microsoft Access 2016 with updated add-ins and runtime libraries.

Additionally, these updates are released for earlier Access versions:

  • Version 15.7 for Access 2013

  • Version 14.7 for Access 2010

  • Version 12.7 for Access 2007

Note, that because the Access 2010 and earlier versions were not enhanced when the Access 2013 version was introduced, those versions include the enhancements in this version plus the enhancements with the 2013 release. In particular, the support for sending emails using Transport Layer Security (TLS) format for SMTP.

Validate the Email Addresses in Your Email Blast

On the main screen, a new Email Validation button verifies the format of all the email addresses in the current email blast before you send it:

It checks the Email field, and the Cc and Bcc if they reference fields. Any email addresses that don’t meet standard email formats are listed.

Option to Save Files to Disk

In addition to or instead of attaching files to emails, those files can be saved to a folder on your PC. By referencing unique values in your data source (like contact ID or email address), you can create unique names or subfolders for each contacts’ files. The settings are on a new Save Files tab:

New Save Files Tab

Preview Saving Files to Disk

When an email blast with Save File options is selected, options are now available to save the files to the email blast’s specified folder or a folder just for the preview.

Preview with New Save Attached Files Options

New VBA Function to Preview Email Blasts with Files

A new function, TotalAccessEmailer_PreviewSaveFile, lets you preview an email blast with the Save File option. Specify the folder for the saved files in addition to the email address and number of records to process.

Code Generator Supports Preview Email with Save Folder

The Code Generator is now enhanced to support email blasts with the Save File option. If preview is selected, you can specify the folder to store the files. The options are also reorganized from the left to the top.

New Email Blast Code Generator

Sample Database Shortcut

From the Windows menu, the shortcut to open the sample database opens the database with the correct version of Access corresponding to your version of Total Access Emailer.

Updated Documentation

The user manual and help file are updated with the latest information. The help file was significantly reformatted and enhanced.

See Also

    • About Total Access Emailer

    • Program Highlights

    • Enhancements from Previous Versions

    • Visit our Web Site


Enhancements from Previous Versions

Microsoft Access 2013, Version 15.0

Total Access Emailer for Microsoft Access 2013 was introduced in June 2014 and includes the features added in the previous versions with 32 and 64-bit support for Microsoft Access 2013 and updated add-ins and runtime libraries.

Support for Office365 and other SMTP Services using TLS

Emails can be sent with SMTP settings using Transport Layer Security (TLS) Connection type. This is a more advanced cryptographic protocol beyond the Secure Socket Layer (SSL) predecessor.

If you are using Office365.com as your email Exchange Server, TLS lets you use the smtp.office365.com SMTP server to send your emails. You need to configure your email account to allow this and whether it supports emails using other FROM addresses.

Microsoft Access 2010, Version 14.0 and X.6 Versions

In April 2011, Total Access Emailer for Microsoft Access 2010 was released. plus version X.6 upgrades for earlier Access versions. With the exception of 64-bit support for Access 2010, all the enhancements are available for all Access versions. These versions were released:

  • 14.0 for Access 2010 (64-bit version requires SP1 or later; ; all 32-bit versions are supported)

  • 12.6 for Access 2007 (SP2 or later)

  • 11.6 for Access 2003

  • 10.6 for Access 2002

  • 9.6 for Access 2000

Support for 32 and 64 bit Versions

Total Access Emailer 2013 and 2010 include two programs in one to support the 32 and 64 bit versions of Microsoft Access 2010 and 2013. This includes a different set of runtime libraries (ACCDE files) and the associated ActiveX controls in both 32 and 64 bit formats.

Microsoft does not allow both bit versions of Access 2010 or 2013 to be installed on one machine. The Total Access Emailer setup program detects the appropriate version and installs it on your machine.

Compress Attached Files into One Zip File

Total Access Emailer can automatically compress all your file attachments into one zip file that is emailed to your recipient. You can even add a password for additional security. The name of the zip file and password can be explicitly provided or be specified by fields in your data source. These features are on the Attachment tab when editing an email blast.

Customize Attached File Names Based on Field Values

Total Access Emailer now supports field references for embedded object names. Previously, the object names were fixed values. Now you can use the value from another field for all or part of its name. For instance, you can have a report attached as a PDF file named “Invoice[InvoiceID].pdf” and have the value in the InvoiceID field be part of the file name.

Attachment File Extension Automatically Updated

When specifying the output format of an attachment, the extension for the file name is automatically changed based on your selection. So switching from HTML to PDF automatically updates the file name from a *.HTML to *.PDF. If you give your file name a non-standard extension, it is not modified.

International Extended Character Support

Total Access Emailer supports text and HTML emails containing non-Roman, international character sets such as:

  • Arabic: النص العربي

  • Chinese: 中文文本

  • Greek: Ελληνικό Κείμενο

  • Hebrew: עברית טקסט

  • Hindi: हिंदी पाठ

  • Japanese: 日本語テキスト

  • Korean: 한국어 텍스트

  • Persian: متن فارسی

  • Russian: Русские текст

  • Urdu: اردو متن

International character support is a new option available when setting the SMTP Settings.

Table Driven System to Continuously Send Emails

An example of a Continuous Emailer Service is provided to support a table driven system to continuously send emails within your Microsoft Access application. New emails can be added to the table manually or triggered by another action in the application for e.g. new order, due date, etc. When the database opens, you can open the form automatically through an Autoexec macro or naming the form as the startup form.

Code Generator

The new Code Generator feature lets you interactively select options and build the VBA code to embed the currently selected email blast in your application. Simply set your options and paste the code into your module for sending and previewing email blasts.

New Programmatic Interfaces

Several new VBA functions are available in the Professional Version to provide more options and control for VBA developers:

Send One Email

Rather than creating an email blast from the Total Access Emailer add-in, a new function, TotalAccessEmailer_SendOne, lets you specify the information for sending one email. Provide the FROM address, TO address, subject, message, etc., and the email is sent using your SMTP settings.

Preview Email Blasts

In addition to sending email blasts, you can also preview the emails by sending them to an email of your choice along with the number of records to process. This is similar to the interactive Preview feature from the add-in which you can now incorporate in your application.

Update and Test SMTP Settings

Two new procedures, TotalAccessEmailer_SetPasswords and TotalAccessEmailer_SMTP_IsValid, let you specify the passwords and test the SMTP settings. The sample database includes a form you can import into your application to give your users this feature as well.

Validate Email Address Syntax

A new procedure TotalAccessEmailer_Email_IsValid lets you quickly check to see if a string meets basic email address syntax.

Installation for Machine or User

The setup program supports an option to install for the entire machine or just the current user.

Silent Installations

When deploying the runtime version of Total Access Emailer, the executable program to run on the user’s machine can now be invoked without the user seeing it. Use the silent command line parameter “/s” when running TAERun32.EXE or TAERun64.EXE.

Microsoft Access 2007, Version 12.0

In May 2007, FMS released Total Access Emailer for Microsoft Office Access 2007, Version 12.0 with many new features:

Support for new database formats and field types

In addition to providing support for legacy formats (MDBs and ADPs), Total Access Emailer 2007 supports the new Access 2007 file format (ACCDB). Total Access Emailer also supports the new Attachment and MultiValue field types introduced with the new database format. Use the Attachment field to include attachments to your email from a field value.

Ability to attach Access objects in PDF and XPS files

Total Access Emailer 2007 supports attaching Access objects as Portable Document Format (PDF) and XML Paper Specification (XPS) files. Easily send your contacts and the copies of your reports as PDF files. This requires installing the PDF/XPS feature for Office/Access 2007, which is available for free from the Microsoft web site.

A New Modern Office/Access 2007 User Interface

Total Access Emailer 2007 includes an enhanced streamlined user interface that takes advantage of the new features in Office/Access. Flat transparent buttons with graphics, support for color schemes, and Windows Vista colors and styles are implemented. (Windows Vista is supported, but not required.)

Preview HTML messages in the Settings Editor and Preview form

In Total Access Emailer 2007, the HTML tab of the Settings Editor and the Preview to Screen form now display a preview of the HTML message, instead of the HTML code. Interactively design your HTML message, or import HTML code from a file. See HTML Tab.

In conjunction with the debut of Total Access Emailer 2007, updates were released for Total Access Emailer 2003, 2002, and 2000.

Versions X.5 for Access 2003, 2002, and 2000

The first versions of Total Access Emailer for Access 2003, 2002, 2000, and 97 were released in July 2003 to wide acclaim. In May 2006 we released major "X.5” upgrades that included many features and enhancements:

  • Embedding Filtered Access Objects
    Total Access Emailer supports embedding tables, queries/views, and reports directly in your email messages and as attachments.

  • Embedding Graphics in HTML Messages
    Local graphics referenced by your HTML messages are automatically embedded in your email rather than as attachments.

  • Secure Socket Layer (SSL) Email Support
    Ability to send emails through servers that require a secure or encrypted connection using Secure Socket Layer (SSL).

  • Replica Database Support
    Support for Replica databases, in addition to standard MDBs and ADPs.

  • Email Specification Report
    A new Email Blast Report to print the specifications of an email blast

  • Runtime Version Available Separately
    Previous versions bundled the end user and runtime components together, version X.5 can be purchased as Standard Version for end users or the Professional Version for developers. See Standard vs. Professional Version for details.

See Also

    • About Total Access Emailer

    • Program Highlights

    • Enhancements in this Version

    • Visit our Web Site


Visit our Web Site

FMS is constantly developing new and better developer solutions. Total Access Emailer is part of our complete line of products designed specifically for the Access developer. Please take a moment to visit us online at www.fmsinc.com to find out about new products and updates.

Product Announcements and Press Releases

Read the latest information on new products, new versions, and future products. Press releases are available the same day they are sent to the press. Sign up in our Feedback section to have press releases automatically sent to you via email.

Product Descriptions and Demos

Detailed descriptions for all of our products are available. Each product has its own page with information about features and capabilities. Demo versions for most of our products are also available.

Product Registration

Register your copy of Total Access Emailer online. Be sure to select the email notification option so you can be contacted when updates are available or news is released. You must be registered to receive technical support.

Product Updates

FMS is committed to quality software. When we find problems in our products, we fix them and post the new builds on our web site. Check our Product Updates page in the Technical Support area for the latest build, or see Using the Update Wizard for information on how to check for the availability of updates.

Technical Papers, Tips and Tricks

FMS personnel often speak at conferences and write magazine articles, papers, and books. Copies and portions of this information are available to you online. Learn about our latest ideas and tricks for developing more effectively.

Social Media

Connect with us, share your experiences, learn from others, and ask your questions in our virtual community.

  • Visit our blog.

  • Follow us on Twitter.

  • Visit our technical support forums.

  • Like us on Facebook.

Links to Other Development Sites

Jump to other locations, including forums, user groups, and other sites for news, techniques, and related services from our web site.

See Also

  • About Total Access Emailer

  • Program Highlights

  • Enhancements in this Version


Installing the Program

You can run multiple versions of Total Access Emailer for multiple versions of Access on the same machine provided you install them into different directories.

Total Access Emailer is installed using an automated setup program. You need Administrator rights to install the program.

To install the program, run the Setup.exe program and follow these steps:

Initial Screen after Launching Setup.exe

  1. When prompted, enter your registration information and serial number.

  2. Specify the destination folder for the files.

  3. Be sure to read the README file for any late breaking news that is not included in this User Guide.

See Also

  • Versions Available

  • System Requirements

  • Using the Update Wizard

  • Uninstalling the Program

  • Using an SMTP Server


Versions Available

Standard vs. Professional Version

Total Access Emailer is available in two versions. The Standard Version is for end users that do not need the programmatic interface or redistribution rights. It includes all the interactive features of Total Access Emailer.

Professional Version

The Professional Version includes the Standard Version, plus a programmatic interface to allow power users and developers to programmatically add email blasts to their applications (for instance, a button that launches an email blast or a system that continuously checks for certain criteria before triggering an email blast). This version also includes a royalty-free Runtime License that allows the distribution of applications with the programmatic interface to send emails to people who do not own Total Access Emailer. Complete details of the Runtime License are included in the Runtime Licensing Rules and the License Agreement.

Supporting Different Versions of Access

Separate versions of Total Access Emailer are available for each version of Microsoft Access:

  • Version 16 supports Access 2016

  • Version 15 supports Access 2013

  • Version 14 supports Access 2010 (64-bit version requires SP1 or later; all 32-bit versions are supported)

  • Version 12 supports Access 2007 (SP2 or later)

  • Version 11 supports Access 2003

  • Version 10 supports Access 2002

  • Version 9 supports Access 2000

Each version only works from within its associated version of Access and supports all the database formats that version of Access supports.

For instance, Microsoft Access 2016 supports database formats for Access 2007-2016 (ACCDB), Access 2000, and Access 2002-2003 formats. Therefore, Total Access Emailer 2016 (version 16) supports all of these formats.

Access Data Project (ADP) Support

Support for Access Data Projects (ADPs) ceased with Access 2013, so Total Access Emailer 2010 is the last version to support ADPs.

Please visit our web site for details, or to order additional versions of Total Access Emailer.

Supporting Older Versions of Access

The programmatic interface in the Professional Version also supports all the database formats supported by the associated version of Access. For example, Total Access Emailer 2016 includes:

  • Separate 32-bit and 64-bit runtime libraries for distribution to users with Access 2007 or later (to support ACCDB database formats)

  • A runtime library for distribution to end users with Access 2003 (MDB database formats). Features that are part of Access 2007 or later, such as sending reports to PDF files are only available if Access 2007 or later is running, so you’ll need to limit the types of emails you create if your users are using Access 2003.

If your users are using Access versions earlier than Access 2003, you'll need to get an older version of Total Access Emailer.

See Also

  • System Requirements

  • Installing the Program

  • Using the Update Wizard

  • Uninstalling the Program

  • Using an SMTP Server


System Requirements

Total Access Emailer has the following system requirements:

  • Microsoft Access. A separate version of Total Access Emailer is available for each version of Microsoft Access.

  • Operating system, processor, and memory that can run Microsoft Access successfully

  • 50 MB free disk space to install Total Access Emailer

  • Use of an SMTP Server that allows relay

See Also

  • Versions Available

  • Installing the Program

  • Using the Update Wizard

  • Uninstalling the Program

  • Using an SMTP Server


Uninstalling the Program

Total Access Emailer conforms to Windows installation and removal standards, so uninstalling is similar to uninstalling other programs:

Start the Uninstall Process

From the Windows Start Menu, select Control Panel, then:

Windows Vista, 7, 8 and 10

  • In the Programs section, select Uninstall a Program

Windows XP

  • Select Add/Remove Programs

Select Total Access Emailer for Removal

  • Select Total Access Emailer from the list of installed programs

  • Click on Uninstall from the menu

  • The installation program loads. Choose Remove and follow the prompts:

Removing Total Access Emailer

After a few moments, the Total Access Emailer program files and its registry entries are deleted. It no longer appears as a Microsoft Access add-in.

See Also

  • Versions Available

  • System Requirements

  • Installing the Program

  • Using the Update Wizard

  • Using an SMTP Server


Update Wizard

If you are registered, you should receive emails from FMS when updates are released for the products. They are also mentioned in our email newsletter and on our social media Facebook page and Twitter feeds.

To verify you have the latest build, you can use the Total Access Emailer Update Wizard with an Internet connection. From the Windows menu, select All Programs, FMS, Total Access Emailer, Update Wizard:

Update Wizard on the Windows Programs Menu

In Windows 8, 10 or later, the program is installed under All Apps without the FMS folder and under “Total Access Emailer” directly.

The Update Wizard loads:

FMS Update Wizard

Press the button to verify you have the latest version installed.

Do Not Run the Update.exe Program Directly

If you run the program directly from Windows, it displays a message: Update Wizard gives Not Initialized Properly Message.

The Update Wizard must run from the Windows Menu shortcut. The program requires parameters specified in the shortcut. In order to determine if there is an update available for this product, please run the update wizard program from the Windows shortcut menu.

See Also

  • Versions Available

  • System Requirements

  • Installing the Program

  • Uninstalling the Program

  • Using an SMTP Server


Using an SMTP Server

Simple Mail Transfer Protocol (SMTP) is the Internet standard for sending emails. Microsoft Exchange uses SMTP to send its emails, along with Office365, Gmail, Hotmail, Yahoo mail, etc.

If your organization is already using Microsoft Exchange, you already have an SMTP Server installed. You just need to make sure your SMTP server allows Relay and you have the proper login credentials.

By using SMTP directly, Total Access Emailer bypasses many limitations from alternatives and can send emails more efficiently.

Avoiding Microsoft Outlook and MAPI Limitations

SMTP avoids the security limitations of Outlook and MAPI (Messaging Application Program Interface) which prompts the user for every email that is programmatically sent.

SMTP also offers the ability to send emails from any FROM address independent of the current user’s Outlook profile. For instance, you may have email blasts that come from an accounting email address, but emailed by anyone on the system when invoices are late. SMTP eliminates any dependency on the user’s machine, Outlook version, and whether it’s running.

SMTP Servers Supported by Total Access Emailer

Total Access Emailer supports all industry standard SMTP servers including those requiring Secure Socket Layer (SSL) connections.

In addition to Microsoft Exchange servers, if you purchase Internet access, your provider usually offers an SMTP server. For instance, AOL, Comcast, Cox, Verizon, and Yahoo! Plus all offer SMTP servers for subscribers

Free Gmail SMTP Server

There are also free, public SMTP servers. Google Gmail offers a free SMTP server using these specifications for sending from a single email address:

  • Connection Type: SSL

  • Mail Server Name: smtp.gmail.com

  • Logon: Your email account and password

  • Port: 465

Be sure to understand the requirements and limitations of the service before using it. Most have limits on the number of messages you can send in one day.

Commercial SMTP Providers

You may also have a SMTP Server available from a commercial SMTP provider that lets you send emails with your organization’s domain name rather than theirs. This is becoming more common as more organizations use cloud providers for their email. Contact the provider for details on sending emails with their SMTP server.

If you are expecting to send emails from multiple (other) people’s email addresses, make sure you have the proper logins so that you are not restricted to just one email FROM address.

Setting Up Your Own SMTP Server

With a Windows Server operating system, you can use Internet Information Services (IIS) to create your own SMTP Server.

Configuring an SMTP Server is beyond the scope of Total Access Emailer and this manual. Please refer to your IIS reference for details.

Registering Your SMTP Server to Avoid Being Flagged as a Spammer

Because SMTP servers allow you to send emails with any FROM address, spammers often abuse it. Many spam blockers check to see if an incoming email is from a verified SMTP server for that domain.

To avoid having your email blocked for being an unverified sender, make sure your SMTP server is registered with your domain. If your SMTP server is sending from a fixed IP address that is already registered to the domain of your FROM address, you should be fine.

See Also

  • SMTP Settings

  • SMTP Troubleshooting


Troubleshooting Emails and SMTP Settings

If you encounter an error while configuring Total Access Emailer to use your SMTP server, please check the following:

SMTP Relay Must be Enabled

The mail server that Total Access Emailer uses must have Relay enabled for the IP address of the computer that is sending email.

Changing the Email Address to Validate SMTP Relay

To ensure that your mail server is configured properly and Relay is enabled, Total Access Emailer sends a test message using a known email address (taemailersample@fmsinc.com) as the FROM address and TO address.

Some networks and mail servers disallow sending this message. If that is the case, you can set an alternative.

Changing the Address for Test Emails

Total Access Emailer allows you to customize the addresses for these test messages, so that your network or mail server allows them. Follow these steps to change the email addresses:

  1. Create a text file called Temail.txt in the folder where Total Access Emailer is installed (or the location of the Total Access Emailer runtime library).

  2. In the text file, type the email address to use as both the FROM and TO addresses. This text file should not have any text other than the single email address.

Note that this must be a valid email address and your mail server must allow Relay for this test to succeed. Total Access Emailer now uses your email address for the Relay test.

SMTP Server Name

If you use your network mail server, follow these steps to determine the name of the mail server. These steps assume that you are using Microsoft Outlook as your MAPI profile client.

  1. Launch your copy of Microsoft Outlook.

  2. Open up any mail message that was sent by a party outside of your network.

  3. Select "Options" from the message’s View menu.

  4. Find the name of your mail server can in the Internet Headers box.

Example: Received: from YOUR ISP
([XXX.XXX.XXX.XXX]) by YOUR MAIL SERVER NAME.

If you decide to set up a new SMTP server, the mail server name is the same as the name of the computer where you installed the SMTP service.

Configure the Settings

After determining the mail server to use, configure this on the SMTP Settings tab of the options form. When you close the Options form, Total Access Emailer validates your connection settings, and warns you if there is a problem connecting. If there is a problem connecting, please check the following:

  1. Enter the correct connection type, name, and logon information for the mail server.

  2. Ensure your mail server is configured to allow relay.

  3. If you expect to send emails from addresses other than your logon, make sure your SMTP server allows this.

Firewall Issues

Local Firewall Implementations

You may have a firewall on your local system that is preventing outgoing traffic for this program. The most common symptom of a firewall issue occurs when your email blasts are processed without any visible error messages, but your recipients are not receiving the email. For example, if you are using Microsoft Internet Information Services, the email messages collect in the Queue folder, but are not sent. In this case, you must resolve this issue by setting your local firewall software to allow outgoing traffic for Total Access Emailer. Please consult the documentation for the firewall software you are using to resolve this issue.

Network Firewall Implementations

Please note that the firewall settings on the SMTP Settings tab of the options form apply if you have installed a firewall at the network level. If you have a local firewall installed, please ensure that this firewall allows Total Access Emailer to access the network (or Internet).

If your local computer goes through a network firewall to get to the SMTP server, enter the firewall settings on the SMTP Settings tab of the options form. Contact your network administrator if you have questions about your firewall settings.

  • Host: The name of the firewall host.

  • Logon Name: The logon name of a user with permissions to send mail through the firewall.

  • Password: The password for the logon name specified above.

  • Port: The firewall port number.

  • Type: The firewall type: None, Socks4, Socks5, Proxy, or Pipe.

Emails are Not Received by People on My Local Area Network

Problem

People outside your network receive emails from your email blasts, but recipients in it do not.

Cause

This situation may occur when your network has these items behind your firewall using NAT (Network Address Translation):

  • The SMTP server you reference in Total Access Emailer

  • Your organization's email server (e.g. Microsoft Exchange)

In this case, the SMTP Server may not correctly resolve the internal IP address of your email server through DNS, and consequently cannot establish an SMTP protocol connection. As a result, emails sent to internal users are not delivered.

Solution

  • Use an alternative SMTP server outside your network such as a cloud host like Office365 that offers SMTP connections.

  • Have Total Access Emailer directly use the SMTP Server exposed by your organization's email server (e.g. Microsoft Exchange Mail Server) rather than another SMTP server.

  • Move the PC running Total Access Emailer or SMTP Server outside of your internal network. This may be accomplished by using a DMZ connection on your firewall. Do not expose your server outside the firewall (unprotected).

See Also

  • SMTP Settings

  • Using an SMTP Server

  • Send and SMTP Options

  • Support Resources


Starting Total Access Emailer

Total Access Emailer opens as an add-in from Microsoft Office Access. Open the database containing the email addresses or a database linked to the table(s). If you are using a secured database, be sure to log in as a user with permissions to read and create tables.

After the database is open, launch Total Access Emailer from the Add-Ins command.

In Access 2007 or later, this is on the Database Tools ribbon tab, under “Add-Ins:”

Microsoft Access 2016 Add-ins Menu

Microsoft Access 2013 Add-ins Menu

Microsoft Access 2010 Add-ins Menu

Microsoft Access 2007 Add-Ins Menu

In earlier versions of Access, this is under the Tools, Add-Ins menu.

The first time you open Total Access Emailer through a database, you are prompted to configure Total Access Emailer options:

Option Configuration Prompt

If Total Access Emailer is already configured for this database, this prompt is not shown. For more details on setting options, see Send and SMTP Options.

After you configure the options, the Main Menu appears.

See Also

  • Important Concepts

  • Main Menu Overview


Important Concepts

There are several important concepts that you should be familiar with before using Total Access Emailer. Please read the following sections carefully to understand how to get the most out of the product.

  • Learning about the Product

  • How Your Database is Affected

  • Data Sources

See Also

  • Starting Total Access Emailer

  • Main Menu Overview

  • Send and SMTP Options

  • Creating Email Blasts


Learning about the Product

When you install Total Access Emailer, the setup program places a sample database in your installation directory. This database includes examples of email blasts, and code for using Total Access Emailer’s programmatic interface.

See Also

  • How Your Database is Affected

  • Data Sources

  • Main Menu Overview

  • Send and SMTP Options


How Your Database is Affected

Your Data Tables

When you provide a table or query containing email addresses for Total Access Emailer to use, your data is not modified.

The only exception is when you request an audit field to be updated with the date/time the email is sent. To perform auditing and avoid modifying the data table, an option is available to store the audit information in a separate table.

Total Access Emailer Settings Tables

Total Access Emailer creates three tables in your database to store your options and email blast settings:

  • usysTEmailerOptions

  • usysTEmailerSettings

  • usysTEmailerEmbedded

These tables are hidden when you are not viewing System objects (in the Navigation Options dialog, under Display Options).

The email blast settings are stored for reuse. Only the settings are saved, not the data, so the tables take a small amount of space and the current data is always used when you send an email blast.

Result Tables

Depending on the options you select, tables may be added to your database. For instance, you can choose to send a preview of your email blast to a table, create an audit log in a table, or write errors to a table. In all cases, you can specify the names of these tables.

Temporary Query/View for Embedded Objects

When you embed a filtered Access object, Total Access Emailer creates a temporary query (or a temporary view, in ADPs) to retrieve the subset of data required for each email. The temporary object’s name starts with “usysTEmailer_Temp,” and it is removed after the required data is retrieved.

Since Total Access Emailer creates tables, you may want to work outside your production database. Create a new database and link to your data tables if you don’t want Total Access Emailer to impact your main database.

See Also

  • Learning about the Product

  • Data Sources


Data Sources

Total Access Emailer opens as an add-in through your Access Database (*.MDB or *.ACCDB) or Access Data Project (*.ADP), and can send to a list of email addresses from any table or query in the database or project.

Total Access Emailer can use data from any native or linked table, including links to non-Access data sources. You can also use data from any query that provides a list of email addresses. Using queries allows you to limit the records for the email blast, combine data across multiple tables, and create expressions for fields used to customize email messages.

See Basics Tab for details about selecting the data source for your email blast.

See Also

  • Learning about the Product

  • How Your Database is Affected

  • Starting Total Access Emailer

  • Main Menu Overview


Main Menu Overview

The Main Menu is Total Access Emailer’s command center—use it to set up and manage your email blasts. The grid shows the list of existing email blasts. Click on a row to select one, or use the right-click menu to sort and filter the list just like any Access datasheet.

Main Menu

The commands along the top of the Main Menu provide the features you need to create, manage, test, and send your email blasts: Creating Email Blasts

  • New: Click the New button to create a new email blast. The Settings Editor opens to let you specify email blast options. See

  • Edit: The Edit button opens the Settings Editor for the selected email blast.

  • Duplicate: Select an email blast and click the Duplicate button to create new email blasts without starting from scratch. All of the blast’s settings are duplicated, with the exception of the ID (unique for each blast) and the description (prefixed with “Copy of” for the new copy).

If you always use similar settings for your email blasts and only change a few items, consider creating a “template” email blast with your common settings and duplicate that rather than using the New button.

  • Delete: Select the email blast to delete, and click the Delete button. After a warning message, the email blast is deleted.

  • Report: Preview or print a report containing detailed information about the selected email blast’s settings. See Email Blast Report for more information.

  • Preview: Before sending an email blast to your recipients, it’s a good idea to test it. The Preview feature lets you send emails to the screen, a table, or a specified email address. It even lets you test the auditing features. See Previewing an Email Blast

  • Send: When you are ready to send your email blast, click the Send button. A wizard steps you through the process of selecting one or more email blasts, and sending or scheduling for later. See Launching the Email Blast

  • Options: Set options for sending emails, SMTP, and report paper size. See Send and SMTP Options

  • Code Generator: Interactively create the VBA code to incorporate Total Access Emailer into your Access database. See Code Generator.

  • Email Validation: Validate email addresses in your email blast before you send it. See Email Validation.

  • Help: Use the Help button to launch the online help file. The help file includes all the information from the manual, and is fully indexed and searchable.

  • About: The About button displays the product’s version number, registration information, and other product information.

  • Exit: Close Total Access Emailer and return to your database.

See Also

  • Important Concepts

  • Starting Total Access Emailer


Send and SMTP Options

Before you send any email blasts, you need to specify the send and SMTP Options. Click the “Options” command from the Main Menu to configure these settings.

The options are organized under three tabs:

  • Send Options

  • SMTP Settings

  • Report Options

How Settings are Stored

Total Access Emailer uses the usysTEmailerOptions system table in the current database to store options. Because it uses a table, every user of the database can share the same settings. This is preferable to saving the settings in the Total Access Emailer add-in or registry settings, which could differ for each user.

The drawback of storing settings in a table is keeping settings across multiple databases identical (if that’s desired). If you need this, you may want to store that table in a shared database and link to it. Total Access Emailer supports both local and linked tables.

Save and Retrieve Default Settings

To make it simple to use the same options across multiple databases and reset inadvertent modifications, you can specify to save your default settings. These values are stored in your copy of the Total Access Emailer add-in.

  • To save the current settings as your default, click “Save As Default”. This saves all the values across the three tabs.

  • To replace the current settings with your default settings, click “Retrieve Defaults." This replaces all values across the three tabs.

See Also

  • Send Options

  • SMTP Settings

  • Report Options


Send Options

The Send Options tab allows you to specify general options for your email blasts:

Options Form, Send Options Tab

Email Errors

Certain email addresses in your table may violate email format specifications, for instance “Name@Nothing”. When Total Access Emailer detects invalid email addresses, it does not attempt to send the email. You can choose to log the error in a separate table so that you can track errors and clean your data.

Table to Store Errors

Specify the name of the table to store errors, or leave this field blank to skip error logging. If the table does not exist, Total Access Emailer creates it when it encounters an error. Be sure to select a name that does not conflict with an existing table in your database.

Overwrite for Each Blast

Select this option if you want the error table to be overwritten each time errors occur in an email blast. Note that the table is not overwritten if you run email blasts, and no errors occur. If you do not overwrite the table, new errors are appended to the existing table.

In environments where multiple people are using the same database, you may encounter conflicts if an email blast is running and another instance of Total Access Emailer tries to overwrite the errors table. If more than one person will be running email blasts at the same time, consider turning off the “Overwrite for each blast” option or having each user write errors to a different table.

Alternatively, adopting Access best practices, each user should have their own local application database linked to data in a shared database. This design allows each user to have private tables without multi-user conflict.

Pausing Between Messages

Total Access Emailer does not limit the number of email messages that are sent, however sending a large number of email messages in a short period of time may overload your mail server or affect network performance.

To prevent overloading your mail server or network traffic, Total Access Emailer includes options to pause after messages are sent. This may be important if you are sending a lot of emails, or large HTML messages and attachments.

Seconds to Wait After Message is Sent

The number of seconds to pause after each message is sent.

Pause after This Many Messages are Sent

In addition to the pause after each email, you may add a longer pause after a specified number of email messages are sent.

Pause for This Many Seconds

The number of seconds Total Access Emailer should pause after the specified number of messages are sent.

Beep After Message Sent

Select this option to beep after each message is sent. This is helpful if you want a continuous reminder that messages are being sent, or a way to tell if the email blast slows or stops.

See Also

  • Send and SMTP Options

  • SMTP Settings

  • Report Options


SMTP Settings

The SMTP Settings tab allows you to specify the information required to send mail through your mail server:

Options Form, SMTP Settings

For more information and troubleshooting tips, see Using an SMTP Server

Mail Server

Specify your mail server settings and login information. To send emails using Total Access Emailer, your mail server must allow relay. Contact your network administrator if you have questions about your mail server’s configuration.

Connection Type

Select the type of connection to use to connect to your mail server:

  • SMTP (Simple Mail Transfer Protocol) is the most common protocol used to send and receive email.

  • ESMTP (Extended Simple Mail Transfer Protocol) extends SMTP to supports graphics, audio and video files, and text in various national languages.

  • SSL (Secure Socket Layer) is used if the server requires a secure or encrypted connection.

  • TLS (Transport Layer Security) (Transport Layer Security) is a more advanced cryptographic protocol from its SSL predecessor.

Mail Server Name

Type the name of the mail server to use to send the message. The mail server may or may not be configured to require authentication. If your mail server requires authentication, specify a logon name and password:

  • Logon Name. If the mail server requires authentication, type the logon name of a user with permissions to send mail through the server.

  • Logon Password. If the mail server requires authentication, type the password for the logon name specified above.

Port

The port number specifies which port number Total Access Emailer uses to establish a connection with the mail server.

The default port number for most SMTP/ESMTP mail servers is port 25, or 465 for servers that require SSL. Total Access Emailer uses these values for its defaults. If your mail server uses a different port number, change the value in Total Access Emailer to match your mail server.

Firewall Settings

If the computer that is running Total Access Emailer goes through a firewall to get to the SMTP server, enter your firewall settings here. Contact your network administrator if you have questions about your firewall settings.

Host

Type the name of the firewall host.

Logon Name

Type the logon name of a user with permissions to send mail through the firewall.

Password

Type the password for the logon name specified above.

Port

Enter the firewall port number.

Type

Select the firewall type: None, Socks4, Socks5, Proxy, or Pipe.

International Text Encoding

This option lets you encode emails to support non-ASCII characters.

By checking this option, you ensure all characters are properly received by your users. This can include certain punctuation marks, and text from languages like Arabic, Chinese, Greek, Hebrew, Hindi, Japanese, Korean, Persian, Russian, Urdu, etc.

If you are only sending Roman characters, you can uncheck this option to send your emails in plain text. Note that even if you’re using English, non-Roman characters may exist in your emails if its data comes from fields that contain non-Roman characters.

If you encounter errors configuring these settings, refer to SMTP Troubleshooting for additional information.

See Also

  • Using an SMTP Server

  • SMTP Troubleshooting

  • Send and SMTP Options

  • Send Options

  • Report Options


Report Options

The Report Options tab lets you specify the paper size used for the email blast report and the results report. It also allows you to preview and print the results report for the last email blast that you sent:

Options Form, Report Options

Paper Size

Select the paper size for printing the email blast report and the results report:

  • US Letter (8.5 by 11 inches)

  • A4 (210 by 297 millimeters)

Preview Last Email Blast Report

Click this button to preview the Results Report for the last email blast that was sent.

See Also

  • Send and SMTP Options

  • Send Options

  • SMTP Settings


Email Blast Overview

From the Main Menu, click “New” or select an existing email blast and click “Edit” to display the Settings Editor:

Settings Editor

The following tabs are available for configuring your email blast:

  • Basics: Basic email blast information, such as description, data source, subject, message format, and other message options.

  • Addresses: Options for FROM, TO, Cc, and Bcc addresses.

  • Text Header: The header for messages in Text format.

  • Text Body: The message body (main section) in plain text

  • Text Footer: The footer for messages in Text format.

  • HTML: The HTML message.

  • Attachment: Files and embedded Access objects to attach to your message, with the option to create a zip file.

  • Save Files: Save attachment files to your PC or network.

  • Auditing: Optional features to document what messages were sent, whom they were sent to, and when they were sent.

  • Statistics: Historical statistics for the email blast, including creation/modification dates, number of messages sent, etc

See Also

  • Email Overview

  • Advanced Customization


Email Overview

Before creating email blasts with Total Access Emailer, you should be familiar with the layout of an email message and the sections that Total Access Emailer can customize:

From : Sender@MyDomain.com

To : Recipient@domain.com

Cc : Associate@domain.com

Bcc : Boss@MyDomain.com

Subject: Read This Important Message

< Text or HTML Message >

Email Sample

From Address

The email address the recipient sees as the source of the email.

To Address

The recipient’s email address. There may be multiple recipients.

Cc Address

A Cc (carbon copy) email address receives a copy of the message, and its email address is visible to other recipients of the message. There may be multiple Cc email addresses.

Bcc Address

Bcc (blind carbon copy) is similar to a Cc, except this email address is not visible to other recipients of the message. There may be multiple Bcc email addresses.

Subject

The topic of the message.

Message

An email message can be a plain text message or HTML-formatted message with graphics, fonts, styles, paragraph formatting, hyperlinks, etc.

See Also

  • Email Blast Overview

  • Email Blast Settings Editor


Basics Tab

The Basics tab contains the most important settings for the email:

Settings Editor, Basics Tab

Description

This Description text is displayed in the list on the Main Menu, and helps you identify this email blast in the future. This text is for your use only—email recipients never see the description.

Data Source with Email Addresses

The data source is the table, query, or view containing the email addresses. This can be any local or linked table, query, or view in the database or project. Use the Browse button [...] to select the source:

ACCDB/MDB Data Source Selection

ADP Data Source Selection

Field Containing the Email Addresses

Select the field in the table or query that holds the email addresses. Emails are sent to the email address specified in each record of this field. Blank values are ignored.

Your data source may include a display name for the recipient (in addition to the email address) using this syntax:

FMS Customer Service <fms@fmsinc.com>

In the example above, “FMS Customer Service” would be displayed in the email received by fms@fmsinc.com.

Message Subject

A custom subject line gives your message a personal touch and a sense of importance when the recipient sees it for the first time. For instance, if your subject is:

Meeting with [Organizer] at [StartTime]

A recipient could receive an email with this subject:

Meeting with Molly at 3:00 PM

The subject field allows 255 characters; if you use a file or a field, the first 255 characters is used, and the remainder (if any) is truncated. If the subject you provide in the file or field contains multiple lines (lines separated by a carriage return, not word wrapping), only the first line is used.

The subject source can be specified directly as text, from a file, or from a field.

Message Format

The format used to send the message:

  • Text Only
    Message is sent as plain text.

  • HTML Only
    Message is sent in HTML format only.

  • Text and HTML
    Some recipients receive text, and others receive HTML. The format for each recipient is based on the field that you specify or by the recipient’s email client.

Designating Text or HTML Message

If you choose “Text and HTML” as the format, you can specify the field and value to determine the message format for recipients, or send both formats and let the recipient’s email client determine which to display:

Designating Text or HTML Message

Field for Text or HTML

The field that determines which format to use for each recipient.

Leave this field blank to send both messages. If the recipient’s email supports HTML, they see the HTML message; otherwise, they see the plain text message.

When Field Value Equals

The value to look for in the specified field.

For Yes/No fields, use a -1 for Yes (True) or a 0 for No (False).

Send this Message Type

The format to use when the field value is equal to the value that you specified (HTML or Text).

Message Options

Priority

This setting determines the priority the recipient sees when viewing the message: Urgent, High, Normal, Low, or Lowest.

Sensitivity

This setting determines the sensitivity level the recipient sees when viewing the message: Normal, Personal, Private, or Confidential.

Request a Delivery Receipt

Use this option to track when messages are delivered.

If you have this option checked, your From address receives a message delivery notification.

The delivery receipt will only works if the email recipient’s mail server supports delivery receipts and is configured to allow automatic replies. Many mail servers do not support this, so you may not receive a delivery receipt from some recipients. Consider using the Read Receipt option, which does not require the server to send automatic replies.

Request a Read Receipt

Use this option to track when messages are read. If this option is checked, you will receive a notification at the From address when the recipient reads your email.

See Also

  • Addresses Tab

  • Text Tabs: Header, Body, and Footer

  • HTML Tab

  • Attachment Tab

  • Save Files Tab

  • Auditing Tab

  • Statistics Tab


Addresses Tab

The Addresses tab allows you to specify email address options:

Settings Editor, Addresses Tab

FROM Address

The FROM address of the email lets the recipient know who sent the email. This can be different from the FROM address used on that machine’s Outlook or other email program.

Only one FROM address can be used. If the file or field includes multiple lines, only the first line is used.

The FROM address can be specified directly as text, from a file, or from a field. See Source Options.

You can optionally enter the display name of the sender (in addition to the From email address) by using this syntax:

FMS Customer Service <fms@fmsinc.com>

In the example above, “FMS Customer Service” would be displayed in the email, and the From address would be fms@fmsinc.com.

TO Address Options

Emails can be sent individually to each email address or in bulk with one message for many email addresses. Individual “standard” emails support customization for each recipient and appear to be individually sent. Bulk emails are faster to process, but are less personal.

Standard

A separate email is sent to each email address in the list. The single recipient is the only email address that appears in the TO line of the email. The use of field references for the subject and message provides individual customization that’s not available in bulk emails, making the message feel more personal.

Selecting Standard also supports the “Text and HTML” Message Format option for each recipient.

Bulk Mailing

A bulk email sends one email to multiple email addresses at the same time. This gives the message a much less personal feel, since the recipient’s email address does not appear in the TO line, and since other email addresses may also be shown. If you use field references, the data from the first email in each group is used to customize the message. The options for a bulk mailing are:

  • To address for sending bulk mailing messages
    This email address appears in the TO line of the email, and it receives a copy of each email that is sent. You may leave this blank.

  • Number of addresses per message
    The number of email addresses to group into each email. The more you select, the faster the email blast is sent. The drawback is that in some email systems, if one of the addresses is bad, the entire email may fail (no recipients in the group receive it).

  • How to Display Recipient Email Addresses
    The recipients’ email addresses can be displayed in the Cc line (visible to all recipients) or the Bcc line (hidden from all recipients). If it’s not a group of people who already know each other, select Bcc to avoid violating anyone’s privacy.

Duplicate Email Addresses

Total Access Emailer includes a special feature to avoid sending duplicate emails when using the Bulk email option.

When using the Standard email option, you may want to send multiple emails to the same email address, since your message may differ based on the field references. Bulk email recipients, however, all receive the same message, eliminating the need to send duplicate messages to the same email address.

While a Bulk email blast is being sent, Total Access Emailer checks the current email address against the previous one. If the address is identical, it is skipped and an entry is made in the Errors table. For this to work, your data source should be a query sorting the data by email address. Total Access Emailer does not try to catch duplicates in your entire data set, just the previous record.

If you want to be sure to eliminate duplicate email addresses, you can create a query grouped by the email field. If you use a Group By query, however, you cannot update an audit field, so you may want to consider eliminating duplicates externally prior to running your email blast.

Optional Settings

For both Standard and Bulk emails, you can optionally include an email address to receive a Cc or Bcc. For each email that goes out, a copy is sent to the email address specified. This is another way, in addition to auditing, for you to verify emails were sent.

If you choose to send a Bulk email with the Cc option, the Cc address in the Optional Settings is appended to the Bulk email Cc. The same applies for Bcc.

Instead of typing an email address for the Cc or Bcc option, you can reference a field in your data source by referencing the field name in brackets. For instance, if the field containing the Cc address is named “CcAddress,” type [CcAddress] in the Cc field. For more information, refer to the Field References topic.

See Also

  • Basics Tab

  • Text Tabs: Header, Body, and Footer

  • HTML Tab

  • Attachment Tab

  • Save Files Tab

  • Auditing Tab

  • Statistics Tab


Text Tabs: Header, Body, and Footer

There is no specific definition for what should be included in the text header, body, or footer—you should decide what works best for you. In many cases, you may have no need to separate the message into multiple parts, so you only need to use the Text Body.

By separating the text message into three parts, Total Access Emailer gives you the flexibility to use the same text for a section across multiple email blasts, making it easier to manage email blasts and maintain consistency.

You can reference a file rather than using hard-coded text to make it easier to update email blasts. For instance, you may want the end of each message to contain contact information. By storing this as a text file, you can easily make changes in one location while maintaining consistency. If the person changes, for example, edit the file and all email blasts that use it are updated with the new information.

Three tabs are available for creating text messages:

  • Text Header

  • Text Body

  • Text Footer

The message sent is the combination of the text specified across the three tabs.

These three text tabs are not available if the Message Format is set to HTML Only.

Settings Editor, Text Header Tab

Settings Editor, Text Body Tab

Settings Editor, Text Footer Tab

For each section, select one of the following source options:

  • None: No text is sent for the section.

  • Text: Type or paste the text directly into the field.

  • File: Retrieve the text from a file.

  • Field: Point to a field in the data source that contains the text message.

The Text Body tab includes this additional option:

  • Embedded Object: Embed an Access table, query/view, or report as the message body. The embedded object can be unfiltered so that every recipient receives the same data, or filtered so that each recipient’s message is unique (e.g., send customers only their own price lists).

For more information about message customization see Advanced Customization.

See Also

  • Basics Tab

  • Addresses Tab

  • HTML Tab

  • Attachment Tab

  • Save Files Tab

  • Auditing Tab

  • Statistics Tab


HTML Tab

Use the HTML tab to specify the HTML email message:

Settings Editor, HTML Tab

The HTML tab is not available if Message Format is set to Text Only.

Select one of the following source options for the HTML message:

  • None: No HTML message is sent.

  • Text: Type or paste the HTML for the message, or use the Import button to import it from a file. Click the Preview HTML button to preview the message in your browser.

  • File: Retrieve the HTML from a file. Preferred method if embedded graphics are desired.

  • Field: Point to a field in the data source that contains the HTML message.

  • Embedded Object: Embed an Access table, query/view, or report as the HTML message. The object can be unfiltered so every recipient receives the same data, or filtered so each recipient’s message is unique (e.g., send customers their own price lists).

Select and hover over text in the Text field to display the Formatting toolbar for this rich text control. This lets you format your message without writing HTML.

For more information about message customization see Advanced Customization.

Sending HTML Emails with Graphics

When you send an email in HTML format, it may include graphics. These graphics files may exist on a public web site (so it doesn't add to your email size), or be sent as part of your email message.

Public Reference Graphics (Not Embedded)

To reference graphics on a public web site, reference the complete URL in your HTML code:

<href="http://www.MyDomain.com/mygraphic.jpg">

Total Access Emailer recognizes the explicit file reference and does not include the file in your email.

Local Reference Graphics (Embedded)

If your graphics exist on your local hard disk instead of on a public web site, you can include graphics with your email message. To do this, reference the file without a path, or use a relative path. That is, avoid the http:// or file:// syntax and reference the graphic directly:

<img src="mygraphic.jpg">

Note that if you enter the HTML text into your email blast, the graphic reference is relative to the directory where Total Access Emailer is installed. A better solution is to create your HTML message as a file in a directory with its graphics, and reference that file from your Total Access Emailer email blast settings.

See Also

  • Basics Tab

  • Addresses Tab

  • Text Tabs: Header, Body, and Footer

  • Attachment Tab

  • Save Files Tab

  • Auditing Tab

  • Statistics Tab


Attachment Tab

The Attachment tab lets you specify the files and embedded Access objects to attach. You can use the same files for everyone, or send a unique set of files to each email address.

Settings Editor, Attachment Tab

Attachment Files

Select one of the following Source options for Attachments:

  • None: No files are attached.

  • Files: Use the Add button to browse for files to attach, and the Delete button to remove files from the list.

  • Field: To send different files to each recipient, your email source should include a field for the files to attach. In the field, enclose file paths in quote marks, and separate files with semicolons:

Recipient | Attachments
Bob@domain.com | “C:\Bob\File1.pdf”;“C:\Bob\File2.pdf”
Jane@domain.com | “D:\Client Docs\Jane.doc”
Dave@domin.com | “C:\Dave Log.txt”;“D:\Client Docs\Dave.doc”

If you attach HTML files that include graphics, Total Access Emailer cannot automatically embed the graphics. In attached files, be sure that any graphics are publicly available on the Internet (or a shared network drive for messages sent only to people on your network).

For more information about these options, see Advanced Customization

Attach Embedded Objects

In addition to attaching files, Total Access Emailer lets you embed Access tables, queries/views, and reports as attachments. These attachments can be unfiltered to send every recipient the same embedded object, or filtered to be customized for each recipient (e.g., send recipients only their own invoices).

Click the Add button to add a new embedded attachment.

See Attaching Embedded Objects for details about this option.

Compress All the Attachments into One Zip File

By default, each attachment you assign becomes a separate file attached to your email.

Total Access Emailer lets you compress all the files into a single ZIP file that is attached to your email. This is particularly useful if you have many files, large files, or file types that may be blocked by your recipients’ email server.

You can specify an explicit name for the zip file:

You can add a password for additional security. The password is applied to your zip file and your recipient will need it to extract the files from it:

Use Field References for Unique File Names and Additional Security

You can also provide these values from fields in your data source. For instance, rather than “compressed.zip”, you can use [ZipFileName] to use the value from that field.

Be sure your field contains the name of the file including the .zip extension. If your field doesn’t have the extension, you can add it in the field like this: [Organization].zip. The password can also reference a field name:

See Also

  • Basics Tab

  • Addresses Tab

  • Text Tabs: Header, Body, and Footer

  • HTML Tab

  • Save Files Tab

  • Auditing Tab

  • Statistics Tab


Auditing Tab

Total Access Emailer includes optional auditing features to track when you sent an email to each recipient. Audit information can be stored in a date/time field in the data source or in a separate table:

Settings Editor, Auditing Tab

In addition to documenting emails, the Audit Field allows Total Access Emailer to pick up where it left off if the email blast is canceled or fails for any reason. It also enables you to send the email blast to new names on your list without sending to people who already received it.

Audit Field

The Audit Field is a date/time field in your data source that is updated when Total Access Emailer sends an email to the record’s email address. If your data source is a query, it must be updatable.

If you have multiple email blasts for the same table, and you want the ability to restart an email blast if it fails, you should have a separate audit field for each blast.

Update this Date/Time Field

Check this option to activate the Audit Field feature.

Date/Time Field

Select the date/time Field to store the date and time when the record’s email is sent.

Clear this Field

With this option selected, the Audit Field is cleared for all records each time the email blast is sent. This makes it possible to resend the email blast if it failed, without sending emails to those who already received it (records with a value in the Audit Field).

If this option is not selected, the audit field may already have values, and the records are simply updated when the email is sent.

Audit Table

Instead of (or in addition to) modifying your existing table with an Audit Field, you can store audit information in a separate table.

Audit Log Table

This option allows you to keep track of the emails that were sent, but does not allow you to pick up the email blast where it left off. If you want the ability to send emails only to people you have not sent to, use an audit field that is cleared each time the email blast is sent.

Store Audit Log in Table

Select this option to activate the Audit Table feature.

Table Name

Enter the name of the Audit Table. If the table does not exist, it is created automatically.

Overwrite Table

Select this option to overwrite the table every time the email blast is sent. If this option is not selected and the audit table already exists, the audit log is appended to the existing data. If you send many emails, this table can grow very large so you’ll need to monitor it.

In multi-user environments, you may encounter conflicts if an email blast is running while another instance of Total Access Emailer tries to overwrite the audit log. If more than one person may run email blasts simultaneously, turn off the “Overwrite table” option.

Optional Fields to Store

The audit table always includes the email address and the time the email was sent. You can optionally choose to store additional information:

  • ID field: The email record’s unique identifier (select a numeric field from your data source). This is displayed in the DataSourceID field.

  • Subject: The email’s subject line.

  • Attachment: The name of the file or files attached to the message. The actual file is NOT added to the audit table, only the file path.

  • Message: The text and/or HTML message that was sent

Remember that the more fields you store, the larger the table becomes. If disk space is a concern, consider not including the optional fields.

See Also

  • Basics Tab

  • Addresses Tab

  • Text Tabs: Header, Body, and Footer

  • HTML Tab

  • Attachment Tab

  • Save Files Tab

  • Statistics Tab


Statistics Tab

Total Access Emailer automatically tracks certain statistics for your email blasts. The Statistics tab displays historical information about the email blast and the times it was sent:

Settings Editor, Statistics Tab

This Email Blast’s Historic Statistics

This section displays the overall history of the email blast, including the first time the blast was sent, the number of times the blast was sent, the total number of messages sent since it was created, and the last time finished (completed without cancellation or failure).

Last Email Blast Statistics

This section displays information about the last time this email blast was sent, including when it was started, when it was restarted (blank unless it was resent due to a failure), when it completed successfully (blank if it failed), and the number of messages sent in the last run.

Creation and Modification Information

This section displays information about the creation and modification of the email blast settings, including the Windows login name of the user who created it, the Windows login name of the user who last modified it, the date it was created, and the date it was last modified.

See Also

  • Basics Tab

  • Addresses Tab

  • Text Tabs: Header, Body, and Footer

  • HTML Tab

  • Attachment Tab

  • Save Files Tab

  • Auditing Tab


Advanced Customization

When emailing a list of contacts, you want each email to be as personal as possible. This may be as simple as including the recipient’s name in the subject line, or as complex as sending each person unique data that only applies to them.

Total Access Emailer includes several advanced features to make customization easy. Using these features, you can personalize each email message according to your needs:

Field References

Field References let you customize emails with field values from your data source. Simply reference field names, and when the email is sent, each field reference is replaced with the field value from the current record.

See Field References

Source Options

Several of Total Access Emailer’s settings include options for where to get their values:

  • Text: Simply type the value that you want to use.

  • File: Reference a file containing the value, making it easy to share identical settings across email blasts.

  • Field: Personalize emails for recipients by getting the value from a field in your data source.

See Source Options

Embedded Objects

Total Access Emailer allows you to embed Access tables, queries, views, and reports in your email. Either use embedded objects as the email message, or as attachments in html, rtf, snp, txt, pdf, xps, or Excel (xls, xlsb, or xlsx) format. (Note that pdf, xps, and xlsx formats are only available in Total Access Emailer for Access 2007 and later.)

Filtering options give you the flexibility that you need to send every recipient the same embedded object, or customize it to send different data to each recipient.

See Embedded Objects

See Also

  • Creating Email Blasts

  • Field References

  • Source Options

  • Embedded Objects


Field References

Field References are one of the most powerful features in Total Access Emailer—they let you easily customize your emails with field values from your data source record. Reference as many field names as you want, enclosed in brackets similar to the way you reference fields in a query expression. When the email is sent, each field reference is replaced with the field value from the current record.

For instance, if you specify the message header as:

Dear [FirstName],

The bracketed text is replaced with the value in the FirstName field. That is, if the record’s FirstName field contains “Molly”, the recipient’s message header becomes:

Dear Molly,

Using the fields in your email table or creating a query to link it to other related tables leverages the power of Access to generate personalized emails. The customization possibilities are endless.

The following settings can be customized using Field References:

  • Subject

  • Cc Address

  • Bcc Address

  • Text Header

  • Text Body

  • Text Footer

  • HTML Text

Using Calculated Fields, Expressions, and Functions

Total Access Emailer replaces field references with field values but does not perform calculations. For instance, you can’t enter [Sales] + [Tax] and expect the sum of those two fields.

Fortunately, Total Access Emailer can use any field, including calculated fields, from a query. Use the power of Access queries and its ability to support formulas, VBA functions and your own functions. (The use of functions is not available in ADP Views).

For instance, if you want to format a field to show currency ($ sign is added for US), use this:

Format([FieldName], "Currency")

Or if you don’t want to show decimals, use this:

Format([FieldName], "$#,###")

Similarly, you can use IIF, UCase, and your own functions. Whatever a query can support, Total Access Emailer can use.

For more details, see the Access online help for creating custom calculations in queries.

Use Field References

To instruct Total Access Emailer to replace field references with field values, check this option:

If you reference a field that doesn't exist, the text with brackets is displayed unchanged. This allows you to use brackets in your text in addition to brackets for field references.

If “Use field references” is unchecked, text with brackets is simply treated as regular text (both the brackets and the text appear in the message).

The Cc address and Bcc address fields do not include a “Use field references” check box—field references are always accepted for these settings. Simply enclose the field name in brackets, and it is replaced with the value from your data source.

Can Shrink

The Can Shrink option is similar to the Can Shrink property in Access reports. If checked, the text shrinks vertically if rows reference fields with no value.

For instance, assume you use these specifications:

Customer Information:

[FirstName] [LastName]

[Company]

[Address1]

[Address2]

[City], [State] [ZipCode]

Sample Text Specifications

If some of the values are missing and Can Shrink is not checked, the text may appear with blank lines:

Customer Information:

Molly Pell

FMS, Inc.

8150 Leesburg Pike, Suite 1150

Vienna, VA 22182

Sample with No [Address2]

With Can Shrink selected, blank lines are removed:

Customer Information:

Molly Pell

FMS, Inc.

8150 Leesburg Pike, Suite 1150

Vienna, VA 22182

Sample with No [Address2]

The Can Shrink option removes the line with a field reference that doesn't exist. If the line has any text (other than spaces), it is not removed.

HTML Messages

For HTML messages with Can Shrink checked, Total Access Emailer replaces field references with a blank value and removes any blank space around it. However, the complexity of HTML tags prevents the removal of HTML codes, including paragraph settings without risking the integrity of the entire message.

Some HTML browsers may display blank lines when Total Access Emailer replaces a field reference with a blank value, however many email readers automatically shrink multiple blank lines for display, so the message displays properly.

See Also

  • Advanced Customization

  • Source Options

  • Embedded Objects


Source Options

Several of Total Access Emailer’s settings include various options for where to get their values, including Subject, From Address, Text Header, Text Body, Text Footer, HTML, and Attachments.

Text

The simplest way to specify a field value is to type the text that you want to use. For example, if you want all emails to have the subject “Monthly Newsletter,” you could select the “Text” option and type “Monthly Newsletter” in the text box:

Message Subject, Text Option

File

Instead of typing the text, you can choose to reference a file containing the value that you want to use. This option is useful if many email blasts use the same value. For example, if you always include the same signature line, you can point to a text file for the Text Footer:

Text Footer, File Option

If you need to update this information, you can change it in the text file, and it is updated for all email blasts. In a multi-user environment be sure the file is in a shared directory and doesn’t use mapped drives that may differ among users.

Field

You can further customize individual emails by getting values from a field in your data source. This option offers the potential for unique values for each email address.

For example, you may want the email’s From Address to vary depending on the recipient’s sales representative. In this case, you could create a query that includes the recipient’s email address, as well as their sales representative’s email address, and point to the appropriate field for the From Address:

From Address, Field Option

See Also

  • Advanced Customization

  • Field References

  • Embedded Objects


Embedded Objects

In addition to the data source options, Total Access Emailer can embed data from another Access object, such as tables, queries/views, and reports. This gives you the ability to add multiple one-to-many data relationships and the rich formatting capabilities of Access reports. Add embedded objects as:

  • Text Body

  • HTML Text

  • Attachments as text, HTML, Excel, rich text format (RTF), report snapshot, portable document file (PDF), and XML Paper Specification (XPS) formats.

File Formats Available for Embedded Objects by Access Version

The pdf, xps, and xlsx formats were introduced in Access 2007 and not available in earlier versions of Access. For Access 2007, you need to use SP2 or later.

Access 2010 and later do not support exporting reports to snapshot format.

Filtering Embedded Objects

Filtering options give you the flexibility to send every recipient a customized subset of the embedded object. Similar to the way Access forms support linked subforms, Total Access Emailer lets you embed objects filtered on one or more fields between the data source record and the embedded object’s fields.

This is particularly powerful when embedding reports as your HTML message. Use the power of the Access report generator to create nicely formatted reports with complex calculations and displays. Manually export them to HTML to verify their appearance, and then embed them in your email. By filtering it on a data source field like [CustomerID], you can send each recipient their own report.

See Also

  • Testing Objects before Embedding Them

  • Embedding an Object as the Email Message

  • Attaching Embedded Objects


Filtering Embedded Objects

Filtering options give you the flexibility to send every recipient a customized subset of the embedded object. Similar to the way Access forms support linked subforms, Total Access Emailer lets you embed objects filtered on one or more fields between the data source record and the embedded object’s fields.

This is particularly powerful when embedding reports as your HTML message. Use the power of the Access report generator to create nicely formatted reports with complex calculations and displays. Manually export them to HTML to verify their appearance, and then embed them in your email. By filtering it on a data source field like [CustomerID], you can send each recipient their own report.

See Also

  • Embedded Objects

  • Testing Objects before Embedding Them

  • Embedding an Object as the Email Message

  • Attaching Embedded Objects


Testing Objects before Embedding Them

Before embedding an object in your email, use Access interactively to design and export the object to the desired format (e.g. text, HTML, etc.). This lets you see what the output is like with the ability to modify the object, and is particularly helpful when embedding a report.

Exporting a Report to HTML Format

From Access, preview your report and export it to HTML format. In Access 2007 or later, this option is on the Print Preview ribbon, under the Data, More command:

Access 2013 Preview Report and Export it to HTML Format

Access 2010 Preview Report and Export it to HTML Format

Access 2007 Preview Report and Export it to HTML Format

In earlier versions of Access this option is available under the File, Export menu. Choose the “HTML Documents (*.html, *.htm)” option under Save as Type, and optionally choose an HTML template.

HTML Limitations and Adjustments of Reports

Access reports exported to HTML do not include graphics that are on the report, since they are not HTML format. To include graphics on reports exported to HTML, use an HTML template file.

The HTML exports of Access reports include navigation hyperlinks to additional pages. These are not included when you embed the HTML report into your email.

By embedding Access reports as your HTML message, you can use the Access report writer to create very nicely formatted emails with data.

See Also

  • Embedded Objects

  • Embedding an Object as the Email Message

  • Attaching Embedded Objects


Embedding an Object as the Email Message

Instead of specifying the text, file, or field to use for the email message, consider embedding an Access object. This feature lets you customize email messages based on your Access data, as well as all of the features in Access.

The Text Body tab includes the Embedded Object option:

Embedded Object Option for Text Message

Click the Browse button to open the Embedded Object Specifications form for the text message:

Embedded Object Specifications Form for Text Message

The HTML tab includes a similar option:

Embedded Object Option for HTML Message

Click the Browse button to open the Embedded Object Specifications form for the HTML message:

Embedded Object Specifications Form for HTML Message

Embedded Object Type

Use the options at the top of the form to specify the object to embed. First, select the type of Access object to embed: table, query/view, or report:

Embedded Object Type

Then select the name of the object:

Embedded Object Name

Filter Options

Use the Filter options to customize the data that is sent to each recipient. The syntax is similar to the way Access handles linked subforms and subreports.

No Filter

Select the “No Filter” option to send all data to every recipient:

Embedded Object, No Filter

When this option is selected, every email contains the same data.

One Field

Select the “One Field” option to filter the embedded object by specifying a field in the embedded object to match with a field in the data source:

Embedded Object, One Field Filter

For example, if your data source is a list of Customers, and your embedded object is an Invoice report, match the CustomerID field from the Invoice report to the ID field from the Customers table to only send customers their own invoices.

Multiple Fields

Select the “Multiple Fields” option to filter the embedded object by matching multiple fields in the embedded object with multiple fields in the data source. Separate the field names with semicolons:

Embedded Object Multiple Fields Filter

For example, if your data source is a list of incomplete addresses, and your embedded object contains valid city/state/zip combinations, match the City and State fields from the embedded object to the City and State fields from the data source to send a list of city/state/zip combinations.

Advanced (Custom WHERE)

The “Advanced” option is the most complex, but also the most powerful filter feature. The Advanced Filer allows you to create a filter using the same expressions as a query’s WHERE clause, including:

  • Field Names from the embedded object (enclosed in brackets, e.g. [EmbeddedObjectField])

  • Field Names from the data source (enclosed in curly braces, e.g. {DataSourceField})

  • Logical operators (e.g. <, >, =, And, Between, In, Like, Or, etc.)

  • Access Functions (e.g. InStr(), Abs(), IsNull(), Len(), Date(), etc.)

Embedded Object, Advanced Criteria

  • Advanced Criteria

SYNTAX: Since there are two sets of fields, the fields in the embedded object are referenced in square brackets [ ] and fields from the data source are referenced in curly brackets { }.

For example, you may want to send customers their own invoices from today, only if they owe money and the invoice is not canceled. To do this, use the following clauses:

  • Match the CustomerID field from the Invoice report to the ID field from the Customers table:
    [CustomerID] = {ID}

  • Use the Date() function to match the OrderDate field from the Invoice report to the current date:
    [OrderDate] = Date()

  • Use the > operator to filter for AmtDue > 0:
    [AmtDue] > 0

  • Filter out Canceled invoices:
    [Cancel] = False

Join these clauses using the AND operator, and enter them in the Advanced filter field in this format:

[CustomerID]={ID} AND [OrderDate]=Date()AND [AmtDue]>0 AND [Cancel]=False

Skip the Email if the Embedded Object is Empty

In some cases, the filter options you specify returns no data for certain records in your data source. For example, assume that a customer has no unpaid invoices. Instead of sending them an empty email message, you can select the “Skip the Email if the embedded object is empty” option. With this option on, emails that would otherwise be blank are skipped (the email is not sent).

No Data Event for Reports

By default, opening a report with no data triggers an error. This is a problem if you are filtering a report and one of your records generates no results.

To avoid this possibility, add a No Data event to the report. Simply add an Event Procedure to the report’s On No Data event by selecting [Event Procedure] from the drop down list:

Adding a No Data Event to a Report

Click on the [image] button to open the code editor:

New No Data Event Procedure

Simply add one line to cancel the report if there is no data:

Private Sub Report_NoData(Cancel As Integer)
Cancel = True
End Sub

Code to Close an Access Report with No Data

HTML Template File for Embedded Objects

Like Microsoft Access, Total Access Emailer also allows you to optionally select an HTML template file when you embed an object in HTML format. If you do not specify an HTML template file, Microsoft Access provides a default scheme.

An HTML template file can enhance the appearance and consistency of objects exported to HTML by adding graphics, background colors, styles, formatting, etc. HTML template files can also use tags and tokens that are unique to Microsoft Access, and indicate where to insert your data.

For more information about HTML template files, search the Microsoft MSDN library for “HTML template files.”

When you export Access reports to HTML, the file does not include graphics from the report, since they are not HTML format. Using an HTML template file is a great way to add graphics to objects exported to HTML.

If you embed an Access object as the HTML message, and you choose a template file that references local graphics, Total Access Emailer automatically embeds the graphics in the email message.

However, if you attach an Access object, and choose a template file with graphics, Total Access Emailer cannot automatically embed the graphics. In attached files, point to graphics that are publicly available on the Internet (or a shared network drive for messages sent only to people on your network).

See Also

  • Embedded Objects

  • Testing Objects before Embedding Them

  • Attaching Embedded Objects


Attaching Embedded Objects

Total Access Emailer allows you to specify one or more objects to attach to your emails. In addition to attaching objects from a file or a field in your data source, you can also attach embedded Access tables, queries/views, and reports. Embedded attachments can be sent as html, portable document format (PDF), rich text (rtf), snapshot (snp), txt, or Excel (xls, xlsb, xlsx) files.

NOTE: SNP format is only available if you have the Snapshot Viewer installed. It is not available in Access 2010 or later. The PDF, XPS, XLSB, and XLSX formats are only available in Access 2007 and later

The Attachment tab includes this grid for managing embedded attachments:

Attach Embedded Objects

The following options are available:

Opens the Embedded Object Specifications form to let you attach a new embedded object.

Opens the selected embedded attachment for editing.

Copies the selected embedded attachment to a new row.

Deletes the selected embedded attachment from the list.

When you click the Add or the Edit button, the Embedded Object Specifications form opens:

Attachment Specifications Form

Attaching an embedded object is identical to embedding an object as the email message, except for the option if the attachment is empty and two additional fields:

Skip the Attachment if the embedded object is empty

Check this option to avoid attaching the file if there’s no data in your linked object. Unlike embedding an object as the body of your message, this does not avoid sending the email. This is because you may have multiple attachments for an email with some empty and others without data. To avoid sending emails to recipients without data, use a query for the data source of your email blast and only select those with data to attach.

Additional Options

  • Output Format
    Select the format of the attachment. Embedded attachments can be sent as html, pdf, xps, rtf, snp, txt, or Excel files. (Note that pdf and xps formats are only available in Total Access Emailer for Access 2007 and later. SNP is not available in Access 2010 or later.)

  • Attachment File Name in Email
    Type the name to use for the attached file. This name is what the email recipients see when they receive the attachment. You can also reference a field in your data source to use a file name stored in your table. Just refer to the field name in [brackets].

See Also

  • Embedded Objects

  • Testing Objects before Embedding Them

  • Embedding an Object as the Email Message


Email Blast Report

After configuring your email blast, it may be helpful to review detailed information about its settings. Click the Report button on the main menu to open the Email Blast Report:

Email Blast Report

The report contains information about all of the settings and statistics for the email blast, organized by the tabs on the Settings Editor. Preview the report to ensure that the settings are correct, or print it for your records.

This report prints in US Letter or A4 format, depending on the settings you selected on the Options form. To change the paper size, click the Options button and modify the setting on the Report Options tab.

See Also

  • Previewing an Email Blast

  • Launching the Email Blast

  • Viewing the Results


Previewing an Email Blast

Before sending an email blast to your recipients, it’s critical to test and verify your message. Total Access Emailer includes a powerful Preview feature, which makes it easy to check your email blast.

Always preview messages prior to sending an email blast. Use the preview options to ensure that any field references are replaced properly, and that the From, To, Cc, Bcc, and subject fields are correct. You should also review the message text to ensure that there are no errors or typos.

From the main menu, select the email blast to test, and click the Preview button to open the Preview Options form:

Email Preview Options Form

The following options are available:

Number of Records to Preview

Specify the maximum number of records from your data source to preview. Total Access Emailer retrieves your data and generates the individual emails for these records.

Note that for Bulk Mailings, the number of messages is smaller than the number of records.

Where do you want to send the Email?

You can send the email to the screen, a table, or an email address.

Send Email to Screen

Select this option to preview the emails on the screen. When you click OK, the Sample Messages form displays the emails:

Preview Sample Messages

The Text Message tab displays the text message that will be sent, if any. The HTML Message tab displays the HTML message that will be sent, if any.

Send Email to This Table

Select this option to send the emails to a table in your database, and enter the name of the table for Total Access Emailer to create. If it already exists, a message box asks to confirm overwriting it.

Preview Table

The table includes fields for the From, To, Cc, and Bcc addresses, the subject, attachment file names, text message, and HTML message. An email blast may or may not have values for all of these fields, depending on its specifications.

Send All Emails to This Email Address

Select this option to send the sample emails to a specified email address. This email address is used instead of the email address in your data source. Sending the preview email to yourself is a great way to examine what the actual recipient sees.

Send Sample Emails to My Email Address

You can send the preview to multiple email addresses by separating them with commas:

Send Sample Messages to Email Addresses

Note that any Cc and Bcc addresses you specified in your email blast are ignored to prevent actual recipients from receiving your email. This applies to both standard and bulk mailings. To verify the To, Cc, and Bcc addresses, send the preview to the screen or table.

When you send the email to an email address, your SMTP settings must be correct.

Save File Options

If the email blast has Save Files selected, you can preview the saved files by specifying where they are saved:

You can choose:

  • None to avoid saving any files

  • Default Folder to save to the location specified in the email blast.

  • Alternative Folder to specify another folder so that the files don’t overwrite existing files you want to keep. As with the setting in the email blast, references to fields in the data source are supported.

Preview Options If There’s No Email Address

An email blast without an email address specified and only Save Files set, saves the attachment files without sending emails. If you preview this type of email blast, the preview options only deal with the files, so the screen is slightly different:

Preview Options for Email Blasts without Email Address

Perform Audit Features During Preview

Check the Perform Audit Features check box to track the email blast during with the settings specified on the Auditing Tab:

When you perform audit features during preview, only the emails that you preview are audited. That is, if your data source contains 100 email addresses, but you only preview 5, only the 5 that you preview are tracked.

When you perform audit features, your data is updated exactly the same as when you send the email blast. The audit field or table might reflect that an email was sent to a particular record, when in fact that record was only included in the preview. Because of this, you should not perform audit features if you plan to resend an email blast to people who did not previously receive it.

See Also

  • Email Blast Report

  • Verifying Results and Data

  • Launching the Email Blast

  • Viewing the Results


Verifying Email Blasts

Verifying Results and Data

Verify Results

Always take the time to verify your email. This should include checking the FROM address, subject line, attachments, and message text. You should also verify that all field references are properly replaced by field values.

Verify Data

In addition to previewing your email, you should verify the integrity of your data. This includes eliminating duplicate email addresses, removing bad or old email addresses, and making sure the data in the fields you reference is correct.

See Also

  • Email Blast Report

  • Previewing an Email Blast

  • Launching the Email Blast

  • Viewing the Results


Launching the Email Blast

After verifying that your messages preview properly and ensuring that your data is up-to-date, you’re ready to send your email blast. To start sending, select the email blast you want from the Main Menu and click the Send button. The Send Wizard appears:

Email Blast Selection

The Email Blast Selection form displays a brief description and statistics of your selected email. You can either send the selected email blast, or choose several email blasts to send consecutively.

Sending a Single Email Blast

To send a single blast, select “Send to the Currently Selected list:”

Review the list’s description, subject, table and statistics to ensure that the desired list is selected, and click the Next button to select Send Options.

See Also

  • Email Blast Report

  • Previewing an Email Blast

  • Viewing the Results


Email Send Options

The Send Options form allows you to specify who receives the email and to schedule or send the email blast:

Email Send Options

Recipients

Specify who should receive the email.

Entire List

Send to all email addresses in the source table.

Partial List Based on Audit Field

If the email blast has an Audit Field that is cleared with every email blast, the second option is available. This allows Total Access Emailer to identify which records you have not sent this email to (records with a null value in the date/time audit field).

If the previous attempt to send the email blast was successful, or if the email blast was never run, this option says People Who Did Not Receive the Previous Email Blast. This lets you send email to new people on your list.

If the previous attempt to send the email blast failed (for instance, if the computer or network crashed or you canceled the email blast), the option says Restart Mailing Due to Previous Failure. This lets you pick up where you left off and send your email to those to whom it was not previously sent.

When the Partial List option is selected, the email blast is sent without clearing the Audit Field. As emails are sent, the Audit Field is updated for each record.

This feature assumes the Audit Field was not modified except by the previous use of this email blast. To ensure that the Audit Field is accurate, you should not perform audit features during preview if you plan to resend email blasts to people who did not previously receive it.

If another email blast uses the same audit field, or if it is edited outside Total Access Emailer, this feature may fail. In multi-user environments, you need to ensure other users have not modified this field.

Schedule

After selecting the recipients, select whether to start the email blast now, or schedule it for a later time.

Send Now

The email blast is launched as soon as you click Finish.

Schedule for Later

This option is useful for sending a large email blast after hours when your mail server and network are less busy.

When you choose this option, additional fields are available for scheduling the email blast:

Schedule Email Blast

Specify the date and time to send the message, and click the Finish button to schedule the email blast. The Send Options form remains open, and the email blast is launched at the specified time.

See Also

  • Email Blast Report

  • Previewing an Email Blast

  • Launching the Email Blast

  • Viewing the Results


Status While Sending Messages

While Total Access Emailer sends the email messages, it displays a dialog showing the current email address, how many email addresses are processed, and how many remain:

Processing Email Dialog

This dialog also displays an estimated completion time after 30 messages are sent. The estimated time is updated as the messages are processed.

Canceling the Email Blast

You can stop the email blast at any time by clicking Cancel. After canceling, the results form is displayed with information about how many messages were sent.

If your email blast includes an Audit Field that is cleared with each email blast, you have the option to resend to the email addresses that you missed.

See Also

  • Email Blast Report

  • Previewing an Email Blast

  • Launching the Email Blast

  • Viewing the Results


Sending Multiple Email Blasts

Total Access Emailer includes a powerful feature to send multiple email blasts back-to-back. To send multiple email blasts, select “Send to Multiple Lists” from the Email Selection List screen:

Then click the Next button to go to the List Selection page.

Select Multiple Email Blasts

Use the List Selection page to select multiple email blasts to send consecutively:

List Selection Form

The top pane shows a list of all your email blasts. The bottom pane shows the ones you have selected to send and the order to send them. By default, the currently selected email blast is in this list. These buttons are available:

Selects the currently selected email blast from the top list and moves it to the bottom.

Removes the currently selected email blast from the bottom list and returns it to the top.

Removes all the selected email blasts and returns them to the top list.

Reorders the email blasts within the selected email blast list.

After selecting the email blasts to send, click the Next button to select Send Options.

Send Options

The Send options are identical to the options for a single email list. See Send Options for details.

See Also

  • Email Blast Report

  • Previewing an Email Blast

  • Viewing the Results


Viewing the Results

When the email blast(s) are complete, Total Access Emailer displays the results:

Email Blast Results

You can see some basic information about the email blast, including when it was started, when it finished, how many messages were sent, whether problems (errors) were encountered, and how many bad email addresses there are. Each row shows a separate email blast.

See Also

  • Email Blast Report

  • Sending the Email Blast

  • Viewing the Results


Restarting the Email Blast

If an email blast was interrupted for any reason, Total Access Emailer allows you to restart it, provided that you have enabled the Audit Field that to clear and update a date/time field when each blast is sent. These email blasts have the [Restart Possible] column checked.

Click the Restart button on the results page to send emails to these lists. When you restart these email blasts, Total Access Emailer sends the email only to people to whom it was not sent previously (recipients with a null value in the date/time audit field).

See Also

  • Email Blast Report

  • Viewing the Results

  • Results Report

  • Viewing Errors


Results Report

Total Access Emailer provides a results report for the email blast. Click the Preview Report button on the results page to preview and print the report.

Email Blast Results Report

This report prints in US Letter or A4 format, depending on the settings you selected on the Options form. To change the paper size, click the Options button and modify the setting on the Report Options tab.

You can also reprint the report by clicking the Preview Last Email Blast Report button on the Report Options form.

See Also

  • Email Blast Report

  • Viewing the Results

  • Restarting the Email Blast

  • Viewing Errors


Viewing Errors

If errors were encountered, a message appears informing you of the number of errors. The errors are stored in the table name you specified under Options:

Email Blast Errors Table

If the email address is invalid (i.e. the format is bad), the record shows the Email Blast ID, the date/time of the error, the error description (“Invalid Email”), and the bad address. For other errors, the record displays these fields in addition to the From, Cc, and Bcc addresses, and the email’s Subject, Attachments, and Text/HTML message.

If you configured the Email Options to overwrite the errors table, the table is overwritten with every email blast that encounters an error. If you did not configure the Email Options to overwrite the table, errors are appended to the existing table.

See Send Options for more information on email errors.

See Also

  • Email Blast Report

  • Viewing the Results

  • Restarting the Email Blast

  • Results Report


How Total Access Emailer Works

Total Access Emailer is written in Microsoft Access, using its native Visual Basic for Applications (VBA) language with a combination of tables and forms, and some SMTP email libraries.

Tables

Total Access Emailer automatically saves your email blast settings for reuse. This information is stored in three hidden system tables in your database:

  • usysTEmailerOptions
    Contains information about the Options Form.

  • usysTEmailerSettings
    Contains one record for each email blast, and holds the configurations specified in the Settings Editor.

  • usysTEmailerEmbedded
    Contains one record for each embedded Access object, and holds the configurations specified on the Embedded Object Specifications form.

These tables are generally hidden and only appear in the database’s list of tables if you are viewing system objects. To see these tables, right click on the top bar of the Navigation Pane, select Navigation Options, and check “Show System Objects.”

NOTE: Although you can edit the scenario tables, we strongly recommend that you do not do this directly. Use the Total Access Emailer add-in to modify the tables to ensure data validation occurs.

See Also

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


Changing the Address for Test Emails

To ensure that your mail server is configured properly and Relay is enabled, Total Access Emailer sends a test message at various times, using a known email address ( taemailersample@fmsinc.com ) as the FROM address and the TO address.

Some networks and mail servers, however, disallow sending this message. Fortunately, Total Access Emailer allows you to customize the addresses for these test messages, so that your network or mail server allows them. Follow these steps to change the email addresses:

  1. Create a text file called Temail.txt in the folder where Total Access Emailer is installed (or the location of the Total Access Emailer runtime library).

  2. In the text file, type the email address to use as both the FROM and the TO addresses. This text file should not have any text other than the single email address.

Note that this must be a valid email address and Relay must be enabled on your mail server for this test to succeed. Total Access Emailer now uses your email address for the Relay test.

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures


Programmatic Interface

If you have the Professional Version of the Total Access Emailer, functions are available to programmatically run email blasts, send individual emails, and manage the SMTP settings.

Easily add the power of email blasts to your Access applications and have them run at the touch of a button or schedule it to run based on an event. Any email blast created by the Settings Editor can be added to your application.

This section describes the VBA interface to Total Access Emailer, and assumes that you are familiar with using VBA and invoking functions. If you are not, please refer to your Microsoft Access documentation.

Additionally, you should be familiar with using the Total Access Emailer Add-In to create email blasts before using these features. You must set up the email blast using the Add-In prior to calling it programmatically.

Preparing Your Database

To call the Total Access Emailer functions, you need to create an explicit reference from your database to the Total Access Emailer runtime library. To create this reference, open a module in design mode, and select Tools, References from the menu:

Microsoft Access Library References

Make sure that “FMS Total Access Emailer” is selected. If this item does not appear in the list, use the Browse button to locate the library file in your installation directory. The library file you use depends on your database type and Access version.

The reference is an explicit path, which means that if you change the drive or location of the library, the reference is broken and your modules will not compile. However, for broken library references, Access is smart enough to look in the same folder as the database and use that, so installing your database and the Total Access Emailer library in the same folder lets you support your application regardless of the drive or folder it’s deployed.

You can also programmatically add library references with the AddFromFile command. This example adds a reference to the file in the strFileName variable:

Dim ref as Reference
Set ref = References.AddFromFile(strFileName)

Refer to your VBA documentation for more information about reference commands.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Runtime Libraries

  • Total Access Emailer Procedures


Runtime Libraries

Different runtime libraries are included in your installation of Total Access Emailer based on the Access version installed. You need to choose the right library for your database and your users’ version of Access:

 | Runtime Library Name
Access Version | TAEmailR_64.accde | TAEmailR.accde | TAEmailR.mde | TAEmailR2K.mde
2010, 2013 and 2016 64-bit | X |  |  |
2010, 2013 and 2016 32-bit |  | X | X |
2007 |  | X | X |
2003 |  |  | X | X
2002 |  |  |  | X
2000 |  |  |  | X
Database Support | ACCDB 64 bit only | ACCDB 32-bit | MDB and ADP | Access 2000 MDB

Determine which library to reference based on the Access version(s) your users run. Ideally, you and all your users are using the same Access version.

If not, you may need to create separate builds for each set of users (e.g. one for Access 2000/2002, one for Access 2003, one for Access 2007 or later (for ACCDBs), or separate 32 and 64 bit versions for Access 2010, 2013 and 2016).

TAEmailR_64.accde for 64-bit Versions of Access 2010 or Later

TAEmailR_64.accde is the runtime library for the 64-bit version of Access 2010, 2013 and 2016. If you share your database with other users, they must all be using the 64-bit version of Access. This does not work with the 32-bit version of Access.

For Access 2010, Microsoft changed the ACCDE format between the original release (RTM) and SP1. The ACCDE only works with Access 2010 SP1 or later.

TAEmailR.accde for 32-bit Versions of Access 2007 and Later

TAEmailR.accde is a library in Access 2007 format and supports both Access 2007 and the 32-bit versions of Access 2010, 2013 and 2016. You can use it as a library in an ACCDB database. It cannot be used by an ADP or MDB database.

TAEmailR.mde for MDB Files for Access 2003 and Later

TAEmailR.mde is a digitally signed database library in Access 2003 format. It is designed for MDB databases running under Access 2003, 2007(SP2 or later) or the 32-bit versions of Access 2010, 2013 and 2016. This library does not work for Access 2002 or earlier.

TAEmailR2K.mde for Access 2003, 2002, and 2000

TAEmailR2K.mde is in Access 2000 format and is not digitally signed. If you create applications for Access 2000 and 2002 users, you need to reference the TAEmailR2K.mde library. The drawback is your Access 2003 users may receive a security warning when running your application (Access 2000 and 2002 users do not see this).

Deploying to Access 2002 Users

If you’re sending emails with embedded objects in text format, and your application may be used by people running Access 2002, you must add an additional procedure to your database:

Public Function TotalAccessEmailer2002_Run(pintObjectType As Integer, pstrObjectName As String, _
pstrFormat As String, pstrOutputFile As String, pfAutoStart As Boolean, pstrTemplateFile As String) As String
' Copyright: Part of Total Access Emailer from FMS (www.fmsinc.com)
' Copyright (c) FMS, Inc. All rights reserved.
' Comments : Used to work around an Access 2002 bug when exporting embedded objects to text from an MDE.
' Insert this in your Access application if you want to use the Total Access Emailer
' programmatic interface to automate your email blasts.
' Returns : Error description, if any

Dim strError As String

On Error Resume Next

DoCmd.OutputTo pintObjectType, pstrObjectName, pstrFormat, pstrOutputFile, pfAutoStart, pstrTemplateFile

If Err.Number <> 0 Then
strError = Err.Number & "-" & Err.Description
End If

On Error GoTo 0

TotalAccessEmailer2002_Run = strError
End Function

This procedure is necessary to work around an Access 2002 error that occurs when exporting objects to text from an MDE file. Be sure to include this procedure if both of the following statements are true:

  • One or more of your email blasts include embedded tables, queries/views, or reports in text format (either as the text message or as an attachment);

  • Any of your application users are running Access 2002.

When you install Total Access Emailer 2003 or 2002, a file named Access2002Code.txt is written to your installation directory. This file contains this procedure.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Total Access Emailer Procedures


Total Access Emailer Procedures

Total Access Emailer includes six VBA functions that are available to you when you reference the Total Access Emailer Runtime library:

  • TotalAccessEmailer: Main Total Access Emailer function, which sends a pre-defined email blast.

  • TotalAccessEmailer_Preview: Preview an email blast by sending a specified number of records to an alternative email address.

  • TotalAccessEmailer_PreviewSaveFiles: Preview an email blast with save file options, by sending a specified number of records to an alternative email address and save folder.

  • TotalAccessEmailer_SendOne: Sends an individual email, with all the parts defined as parameters.

  • TotalAccessEmailer_SetPasswords: Encrypts and sets the passwords for the mail server and firewall.

  • TotalAccessEmailer_SMTP_IsValid: Tests the SMTP settings to verify that they are valid.

  • TotalAccessEmailer_Email_IsValid: Tests a string to see if it meets email address syntax.

  • TotalAccessEmailer_Version: Returns the version of the Total Access Emailer runtime library

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails


TotalAccessEmailer Function

The main Total Access Emailer function sends a pre-defined email blast that was created with the Total Access Emailer Add-In. Make sure the email blast works properly (via the Preview and Send buttons) prior to automating it in VBA.

You can manually write the VBA code or use the Code Generator.

Procedure Definition

Public Function TotalAccessEmailer( _
ByVal lngEmailID As Long, _
ByVal fRestartBlast As Boolean, _
ByVal strDisplayType As String, _
ByVal strDisplayTitle As String, _
ByVal fShowResults As Boolean, _
ByVal fShowErrors As Boolean, _
Optional ByVal strEmailTbl As String, _
Optional ByVal strOptionsTbl As String, _
Optional ByVal strEmbedTbl As String) _
As String

Return Value

The function returns an empty string if the email blast ran without errors or the error string. The error string is what's displayed if fShowErrors is True. It could be the number of bad emails, or a more serious problem with the email blast specifications or data source, network, hardware, SMTP server, etc. If fShowErrors is set to False, you should display this information to your user.

Parameters

  • TotalAccessEmailer Function Parameters

Sample Code

The Total Access Emailer sample database, which is in your installation directory, includes sample code for using the TotalAccessEmailer Function to run email blasts programmatically. The code is located in the form module frmProgrammaticSample:

Private Sub btnSendMonthlyNewsletter_Click()
' Comments: Send Monthly Newsletter (email blast #1)

Dim strError As String

strError = TotalAccessEmailer(1, False, "Form", "", True, True)

End Sub

Example of Calling the Total Access Emailer Function

Remember that for this sample to work, Total Access Emailer must be loaded as a library in the Access Tools, References menu.

Limitations

When you run email blasts programmatically, Total Access Emailer performs significantly less error checking than the interactive interface. Please be aware of the following limitations before invoking the Total Access Emailer function:

  • The Total Access Emailer function assumes that the email blast settings are correct. If you edit the tables directly, you are responsible for making sure you enter the right values.

  • We highly recommend that you use the interactive interface to edit email blast settings to avoid entering bad data.

  • Total Access Emailer assumes the data source is available. If it is not, the email blast fails.

  • Total Access Emailer assumes that all database security rights (ability to read the data source, and create auditing and error tables if necessary) are granted.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


TotalAccessEmailer Function Parameters

The TotalAccessEmailer Function has these parameters:

lngEmailID (long integer)

The ID of the email blast to send. This is the value in the ID column on the Main Menu of the Total Access Emailer add-in and in the [EmailID] field of the usysTEmailerSettings table.

fRestartBlast (boolean)

True (-1) to restart the email blast, or False (0) to start it from the beginning. A value of True assumes the Audit Field feature to clear and update a date/time field is enabled. Only records with null (blank) values in the Audit Field are processed.

strDisplayType (string)

How to display the progress of the email blast to the user:

Setting | Description
"" | None. Users won't see anything indicating the emails are being sent.
"Form" | Progress appears in a form.
"StatusBar" | Progress appears on the Access Status bar in the lower left corner:
"StatusBarDesc" | The status bar shows the name of the email blast and the progress:

strDisplayTitle (string)

The title for the display form and any messages. If this is not provided, “Total Access Emailer” is used.

fShowResults (boolean)

True (-1) shows the email blast results in a message box:

Email Blast Results

fShowErrors (boolean)

True (-1) displays a message if errors are encountered, for example:

Errors Message

If bad email addresses are encountered, the message box shows the number of bad emails, and opens the Errors table (if it exists):

Bad Email Addresses Message

False (0) still generates the errors table, but does not display a message or open the errors table.

If you do not want the errors table to be generated, set the error table name to a blank value in your options table (the table specified by the strOptionsTbl parameter).

strEmailTbl (string)

The table in the database containing the email blast settings. The default value for this parameter is “usysTEmailerSettings” but you have the option to override this with another table name. This is particularly useful when you want to allow users to make modifications without affecting your original email blasts. Just make a copy of usysTEmailerSettings, and reference the new table name. If you don’t pass a parameter, “usysTEmailerSettings” is used.

strOptionsTbl (string)

The table in the database containing the Send and SMTP options. The default value for this parameter is “usysTEmailerOptions” but you have the option to override this with another table name. This is particularly useful when you want to allow users to make modifications without affecting your original settings. Just make a copy of usysTEmailerOptions, and reference the new table name. If you don’t pass a parameter, “usysTEmailerOptions” is used.

strEmbedTbl (string)

The table in the database containing the Embedded Object information. The default value for this parameter is “usysTEmailerEmbedded”, but you have the option to override this with another table name. This is particularly useful when you want to allow users to make modifications without affecting your original settings. Just make a copy of usysTEmailerEmbedded, and reference the new table name. If you don’t pass a parameter, “usysTEmailerEmbedded” is used.

See Also

  • Total Access Emailer Procedures

  • TotalAccessEmailer Function

  • Sample Code

  • Limitations


TotalAccessEmailer_Preview Function

The TotalAccessEmailer_Preview function is similar to the main TotalAccessEmailer function, except it lets you preview an email blast rather than sending it to the actual recipients.

Similar to the Preview feature from the add-in, you can specify the email address and number of records to process. This lets your users verify if the email blast they've created is ready before sending it.

The code for this function can be automatically generated by the Code Generator feature so you can paste it into your module.

Note that this function existed before the Save Files option was added in 2016. If you want to preview an email blast and test saving files to disk, use the newer TotalAccessEmailer_PreviewSaveFiles function

Procedure Definition

Public Function TotalAccessEmailer_Preview( _
ByVal strEmailAddress As String, _
ByVal lngRecords As Long, _
ByVal lngEmailID As Long, _
ByVal fRestartBlast As Boolean, _
ByVal strDisplayType As String, _
ByVal strDisplayTitle As String, _
ByVal fShowResults As Boolean, _
ByVal fShowErrors As Boolean, _
Optional ByVal strEmailTbl As String, _
Optional ByVal strOptionsTbl As String, _
Optional ByVal strEmbedTbl As String) _
As String

Return Value

The function returns the error string, or an empty string if the email blast ran without errors.

Parameters

The TotalAccessEmailer_Preview function has the same parameters as the TotalAccessEmailer function with the addition of the first two:

strEmailAddress (string)

The email address to send the emails. This override the TO email address of the emails you are sending.

lngRecords (long integer)

The maximum number of records to email. Rather than the entire list, specify the maximum number of records to email. It does not matter if this number is larger than the number of records in your data source.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


TotalAccessEmailer_SendOne Function

The TotalAccessEmailer_SendOne function sends a single email that does not come from a pre-defined email blast. Instead, all parts of the Email are passed as parameters.

Procedure Definition

Public Function TotalAccessEmailer_SendOne( _
ByVal strFrom As String, _
ByVal strTO As String, _
ByVal strCC As String, _
ByVal strBCC As String, _
ByVal strSubject As String, _
Optional ByVal strMessageText As String = "", _
Optional ByVal strMessageHTML As String = "", _
Optional ByVal strHTMLFile As String = "", _
Optional ByVal strAttachments As String = "", _
Optional ByVal intPriority As Integer = 3, _
Optional ByVal intSensitivity As Integer = 0, _
Optional ByVal fReadReceipt As Boolean = False, _
Optional ByVal strOptionsTbl As String = "usysTEmailerOptions") _
As String

Return Value

The function returns an empty string if the email was sent without errors, or the error string.

Parameters

The TotalAccessEmailer_SendOne Function has these parameters:

strFrom (string)

The email address that the message is sent from

strTo (string)

The email address or addresses that the message is sent to. To send to multiple email addresses, separate each with a semicolon (;).

strCC (string)

The email address(es) to send a Cc to.

strBCC (string)

The email address(es) to send a Bcc to.

strSubject (string)

The subject for the email message.

strMessageText (string)

The text to use for a plain text email message.

strMessageHTML (string)

The HTML text to use for an HTML message.

strHTMLFile (string)

Rather than setting the strMessageHTML parameter, use this parameter to point to a file containing the HTML text.

strAttachments (string)

Specify the path for any files to attach. Separate multiple files with a semicolon (;).

intPriority (integer)

Optionally specify the message priority: 1 (Urgent), 2 (High), 3 (normal), 4 (low), 5 (lowest). The default value is 3 (normal).

intSensitivity (integer)

Optionally specify the sensitivity for the message: 0 (normal), 1 (personal), 2 (private), or 3 (confidential). The default value is 0 (normal).

fReadReceipt (boolean)

If you’d like the recipient to send a read receipt when they open the email, set this to True.

strOptionsTbl (string)

Optionally specify the in the database containing the Send and SMTP options. The default value is “usysTEmailerOptions”.

Sample Code

The following sample code sends a single email message:

Private Sub SendOneEmail()
' Comments: Send one email message

Dim strError As String

strError = TotalAccessEmailer_SendOne( _
"Friendly Name <From@fmsinc.com>", _
"First@fmsinc.com;Second@fmsinc.com", _
"Cc@fmsinc.com", "Bcc@fmsinc.com", _
"Subject", "Text Message", "<b>HTML Message</b>", _
"", "C:\Attach1.txt;C:\Attach2.txt")

End Sub

Example of Calling the TotalAccessEmailer_SendOne Function

Remember that for this sample to work, Total Access Emailer must be loaded as a library in the Access Tools, References menu.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


TotalAccessEmailer_SetPasswords Function

The TotalAccessEmailer_SetPasswords function programmatically changes the passwords for your Mail Server, encrypting them before saving them to the Options table.

If you change the passwords by editing the Options table directly, the passwords are not encrypted. For optimal security, use the TotalAccessEmailer_SetPasswords function to change passwords.

Procedure Definition

Public Function TotalAccessEmailer_SetPasswords( _
ByVal strLogonPassword As String, _
ByVal strFirewallPassword As String, _
Optional strOptionsTbl As String = "usysTEmailerOptions") _
As String

Return Value

The function returns an empty string if the passwords were set without errors, or the error string.

TotalAccessEmailer_SetPasswords Function Parameters

The function has these parameters:

strLogonPassword (string)

The password to log onto the Mail Server

strFirewallPassword (string)

The firewall password

strOptionsTbl (string)

Optionally specify the table in the database containing the Send and SMTP options. The default value is “usysTEmailerOptions”.

Sample Code

The following sample code sets the two passwords:

Private Sub SetPasswords()
' Comments: Sets the mail server and firewall passwords
Dim strError As String

strError = TotalAccessEmailer_SetPasswords("MyLogonPwd", "FirewallPwd")

End Sub

Example of Calling the TotalAccessEmailer_SetPasswords Function

Remember that for this sample to work, Total Access Emailer must be loaded as a library in the Tools, References menu.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


TotalAccessEmailer_SMTP_IsValid Function

The TotalAccessEmailer_SMTP_IsValid function validates the saved SMTP settings without sending an email blast.

Procedure Definition

Public Function TotalAccessEmailer_SMTP_IsValid(Optional ByVal strOptionsTbl As String = "usysTEmailerOptions") As String

Return Value

The function returns an empty string if the server settings are valid, or an error string if they are not.

Parameters

strOptionsTbl (string)

Optionally specify the table in the database containing the Send and SMTP options. The default value is “usysTEmailerOptions”.

Sample Code

The following sample code validates the SMTP settings:

Private Function CheckSMTPSettings() As Boolean
' Comments: Checks the SMTP server settings.
' Returns : True if the settings are valid

Dim strError As String

strError = TotalAccessEmailer_SMTP_IsValid()

CheckSMTPSettings = (strError = "")

End Function

Example of Calling the TotalAccessEmailer_SMTP_IsValid Function

Remember that for this sample to work, Total Access Emailer must be loaded as a library in the Tools, References menu.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


TotalAccessEmailer_Email_IsValid

The TotalAccessEmailer_Email_IsValid function tests a string to see if it’s a valid email address with syntax like name@domain. For instance, it makes sure there are no spaces, an @ sign exists, text before and after the @, text after the @ has a period, etc.

It does not check whether the email or domain actually exists.

Procedure Definition

Public Function TotalAccessEmailer_Email_IsValid(strEmail As String) As Boolean

Return Value

The function returns True if the string meets the email syntax check, and False if it fails. A blank string also returns False.

Parameters

strEmail(string)

The email address to validate.

Sample Code

The following sample is an Event Procedure for a text box on a form named txtEmail to validate whether the user’s entry is a valid email address. If not, a message is displayed and the entry rejected:

Private Sub txtEmail_BeforeUpdate(Cancel As Integer)
' Comments: Validate the user's email entry
' Avoid checking blank values

If Nz(Me.txtEmail) <> "" Then
If TotalAccessEmailer_Email_IsValid(Me.txtEmail) Then
' Email address is ok
Else
Cancel = True
MsgBox "Email address is not valid"
End If
End If
End Sub

Example of Calling the TotalAccessEmailer_Email_IsValid Function

The Nz function (NullToZero) is used to handle situations when the value in the text box is null. Nz converts it to a null string “”.

Remember that for this to work, Total Access Emailer must be loaded as a library in the Tools, References menu.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


TotalAccessEmailer_Version Function

The TotalAccessEmailer_Version function returns the version number of the currently referenced Total Access Emailer library.

Procedure Definition

Public Function TotalAccessEmailerVersion() As String

Return Value

The function returns the version number of the referenced Total Access Emailer library.

The version number contains three parts such as 16.02.0001 reflecting the major version, minor version, and build number. Since the same runtime library can be used across multiple versions (for instance the TAEmailR.mde is used for MDB/ADP from Access 2002 through 2016), the version number reflects the latest version of Access 2016 (version 16). Use the minor version and build number to verify you have the latest version.

Sample Code

The following TotalAccessEmailer_Version Function sample code returns the version number for the currently referenced Total Access Emailer library:

Private Sub EmailerVersion()
' Comments: Displays the version of the Emailer library
MsgBox TotalAccessEmailer_Version
End Sub

Example of Calling the TotalAccessEmailer_Version Function

Remember that for this sample to work, Total Access Emailer must be loaded as a library in the Access Tools, References menu.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer


Code Generator

To simplify your creation of the code to run your email blasts, Total Access Emailer includes a Code Generator feature to create the VBA code you can insert into a module in your database.

From the main menu, select the email blast you'd like to automate and click on the Code Generator button in the lower left:

The Code Generator form appears to let you interactively specify the options for your email blast:

VBA Code Generator for Automating Email Blasts

Code Generator Options

There are several options across the top that you can select and automatically see the impact in the VBA code below it.

Preview switches betweenthe Send and Preview functions. If Preview is selected, you can simulate the preview feature in the add-in. A different procedure is used depending on whether the email blast has the Save Files feature selected. Specify the number of records, email address, and save folder.

The other options modify the parameters shared by the Send and Preview functions. For more details, look at the definition of the VBA functions:

  • TotalAccessEmailer

  • TotalAccessEmailer _Preview

  • TotalAccessEmailer _PreviewSaveFiles

Click on the [Send to Clipboard] button, then go to your module and paste it.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Total Access Emailer Procedures

  • Distributing Total Access Emailer


Automating Multiple Email Blasts

In some cases, you may need to send multiple related messages consecutively. For instance, you may need to send a confirmation message to all new records in your Orders table, and a separate notification message to records in a query that shows all items on backorder.

To send multiple consecutive emails programmatically, you should generally pass the following parameter values:

  • If you are running the same email blast to notify “new” recipients, you should have the fRestartBlast parameter in your procedure call set to TRUE (-1). If you are sending to the entire list, use FALSE (0).

  • Set fShowResults to FALSE (0). If set to TRUE (-1), the results display requires user interaction before processing the next email blast.

  • Set fShowErrors to FALSE (0). If set to TRUE (-1), the errors display requires user interaction before continuing processing.

Public Function SendNewsletters()
' Comments: Send 2 newsletters consecutively.
Dim strError As String

strError = TotalAccessEmailer(1, False, "Form", "", False, False)
If strError = "" Then
strError = TotalAccessEmailer (1, False, "Form", "", False, False)
End If

SendNewsletters = strError
End Function

An example of automating multiple email blasts is included in the sample database, in the modEmailBlasts module.

For a detailed list of all parameters see Parameters.

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures

  • Running Email Blasts from a Macro

  • Scheduling Emails with Total Visual Agent


Running Email Blasts from a Macro

If you need to schedule email blasts to run on a regular basis, consider creating a macro that runs the email blasts, and using an automated scheduling tool to run the macro. To create a macro that runs the email blasts, follow these steps:

  1. Create a new public function that runs the email blasts.

  2. Create a new macro, and add the macro action “RunCode.”

  3. In the Function field, specify the name of the function you specified in Step 1. For instance, if your function is named “SendToSubscribers”, your macro should look like this:

Example of Running Email Blasts from a Macro

  4. Use an automated scheduling tool (such as Total Visual Agent) to run the macro at the desired intervals.

The Total Access Emailer sample database includes an example of running email blasts from a macro in the RunEmailBlasts macro.

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures

  • Automating Multiple Email Blasts

  • Scheduling Emails with Total Visual Agent


Scheduling Emails with Total Visual Agent

There may be times when you need to send an email on a regular basis. For instance, you may want to send two daily email blasts: a newsletter to new people in your “Subscribers” table, and a confirmation to new people in your “Orders” table.

Total Visual Agent from FMS allows you to schedule a macro to run multiple times per hour, hourly, daily, weekly, monthly, or on a one-time basis. Schedule Total Visual Agent to run all your email blasts automatically:

  • Every 10 minutes, send a confirmation email to new records in your Orders table.

  • Every hour, send an email to instruct new customers to download their software.

  • Every day, send an email to new newsletter subscribers.

  • Every week, send an email to employees reminding them to turn in their timesheets.

  • Every month, email an invoice to all clients.

In addition to running macros, Total Visual Agent automates database maintenance tasks (such as backups, compacting, and repairing). Visit our web site, www.fmsinc.com, to find out more about this product and to download a fully functional trial.

You can find the Total Visual Agent trial, as well as trials and demos of other FMS products, on your Total Access Emailer CD and at http://www.fmsinc.com/MicrosoftAccess/Scheduler.html

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures

  • Automating Multiple Email Blasts

  • Running Email Blasts from a Macro


Distributing Total Access Emailer

The following sections contain information about distributing Total Access Emailer:

  • Runtime Licensing Rules

  • Distributing the Emailer File

  • Using the Microsoft Packaging Tools for Distribution

  • Troubleshooting Tips

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Preparing Your Database

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically


Licensing Rules

Runtime Licensing Rules

The Runtime License of Total Access Emailer gives you a royalty-free license for you to distribute your application with our email functionality to non-owners of Total Access Emailer. You must agree to the terms of the License Agreement prior to using or distributing Total Access Emailer functionality. You may not distribute the Total Access Emailer license file, or distribute the program in any way that allows users to create their own email blasts.

You may not include the Total Access Emailer Add-In functionality or the Settings Editor, and you may not build an application that emulates the Total Access Emailer user interface.

You are only allowed to distribute the runtime Emailer file (TAEmailR.accde, TAEmailR_64.accde, or TAEmailR.mde) and associated DLLs. To handle this, Total Access Emailer includes a small executable that distributes the necessary runtime files to your user’s system.

FMS does not provide technical support or customer service to your application’s users. We can only provide technical support to you as the registered user of the product (the developer).

See Also

  • How Total Access Emailer Works

  • Distributing the Emailer File

  • Using the Microsoft Packaging Tools for Distribution

  • Running Multiple Programs from Your Setup Program

  • Troubleshooting Tips


Distributing the Emailer File

In order to allow Access to use Total Access Emailer functionality, the program must be registered on the local machine. When you install Total Access Emailer on your development computer, the Setup program handles this automatically.

When you distribute your application to your users, however, they do not have the Setup program. To distribute your application with Total Access Emailer functionality, you must install the redistributable component on your user’s machine.

Using the Runtime Install Program

Total Access Emailer includes a runtime distribution program, TAERun32.exe that installs the 32-bit ActiveX controls. This supports all versions of Access through Access 2016’s 32 bit version.

For the 64 bit version of Total Access Emailer 2010, 2013 or 2016, a runtime distribution program TAERun64.exe is included.

This file is located in your installation directory. All you need to do is execute the EXE on your users’ machines, and they’re ready to use your application.

This executable distributes the necessary runtime files to your users’ systems and configures their computers to use Total Access Emailer in runtime mode.

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures

  • Runtime Licensing Rules

  • Microsoft Packaging Tools for Distribution

  • Running Multiple Programs from Your Setup Program

  • Troubleshooting Tips


Microsoft Packaging Tools for Distribution

Microsoft Access 2013 or Later

Microsoft Access 2013 discontinued the Package Solution Wizard.

Using the Package Solution Wizard in Microsoft Access 2010 and 2007

If you are using the Package Solution Wizard in Microsoft Office Access 2010 or 2007, follow these steps to configure it with Total Access Emailer:

  1. When prompted for Additional Files, add TAERun32.exe (or TAERun64.exe for the 64 bit version). This file is located in your installation folder. Also include the runtime library you are using (TAEmailR.accde, TAEmailR_64.accde, or TAEmailR.mde).

  2. After the setup is created, open the file where SetupPath is the directory where you created the setup.
    \\SetupPath\Files\Setup\Setup.ini

  3. Append the following to the end of the Setup.ini file:
    [ChainedInstall_1]
    Path="\Files\TAERun32.EXE"
    TaskType=EXE
    CmdLine=

Replace TAERun32.EXE with TAERun64.EXE when using the 64-bit version.

In Microsoft Access 2010, the Package Solution Wizard is included with the Microsoft Access 2010 installation, but is not installed by default. To install this feature, modify your Office 2010 installation to install the Access Package Wizard add-in:

In Microsoft Office Access 2007, the Package Solution Wizard is included in the Office 2007 Developer Extensions.

Using the Package Wizard in Microsoft Office Access 2003 Developer Extensions

If you are using the Package Wizard in Microsoft Office Access 2003 Developer Extensions, follow these steps to configure it with Total Access Emailer:

  1. In the list of Additional Files, click “Add” and choose TAERun32.exe and TAEmailR.mde. These files are located in your installation directory.

  2. After the setup is created, open the file where SetupPath is the directory where you created the setup:
    \\SetupPath\Files\Setup\Setup.ini

  3. Append the following to the end of the Setup.ini file:
    [ChainedInstall_1]
    Path="\Files\TAERun32.EXE"
    TaskType=EXE
    CmdLine=

For more information, please refer to the documentation that Microsoft Office Access 2003 Developer Extensions.

Using the Packaging Wizard in the Microsoft Office XP Developer Toolkit

If you are using the Packaging Wizard in the Office XP Developer Toolkit, follow these steps to ensure that Total Access Emailer is configured correctly:

  1. In the list of included files, select “Add” and choose TAERun32.exe. This file is located in your installation directory.

  2. On the Installation Options page, check “Run this command when installation is finished,” and type “TAERun32.exe”.

For more information, please refer to the documentation that accompanies Microsoft Office XP Developer.

Using the Package and Deployment Wizard in the Microsoft Office 2000 Developer Toolkit

If you are using the Package and Deployment Wizard in Office 2000 Developer, follow these steps to ensure that Total Access Emailer is configured correctly:

  1. In the list of included files, select “Add” and choose TAERun32.exe. This file is located in your installation directory.

  2. On the Installation Options page, check “Run this command when installation is finished,” and type “TAERun32.exe”.

For more information, please refer to the documentation that accompanies Microsoft Office Developer 2000.

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures

  • Runtime Licensing Rules

  • Distributing the Emailer File

  • Running Multiple Programs from Your Setup Program

  • Troubleshooting Tips


Running Multiple Programs from Your Setup Program

If you use the setup tools included with Microsoft Office, you will find that these tools only allow you to run a single external program as part of your setup. If the only external program you need to run is the Total Access Emailer deployment program (TAERun32.exe or TAERun64.exe), this limitation causes no problems. However, if your setup needs to run external programs in addition to this one, you need to take additional steps.

You can use an MSDOS batch file to run multiple external programs. Basically, your setup program calls the batch file that contains multiple commands to run the actual external programs you need. To do this:

  1. Create a batch file that calls each external executable program that your application’s setup needs to run.

  2. Test this batch file on your system to ensure it works as desired.

  3. Include the external executables in your setup program.

  4. Include the batch file in your setup program.

  5. Specify the name of the batch file in the Package and Deployment Wizard/Packaging Wizard as the external program to run.

Creating a Batch File

To create a batch file that executes multiple programs:

  1. Create a new text document with a text editor such as Notepad.

  2. Add a line that calls the TAERun32.exe or TAERun64.exe program. Include the full path to the file. Add the /s parameter to hide the setup program’s interface from the user.

  3. Type in additional lines to call the other external programs you need to run.

  4. You may also want to include the following command: @ECHO OFF as the first line in your batch file to instruct Windows to run the executable files without displaying any characters in the DOS command window. You can also include comments by typing REM at the start of the line.

  5. Save this file as Filename.BAT (where Filename is the name you chose for your batch file). Note that if you do not use the .BAT file extension, Windows will not be able to execute it.

A sample batch file would look like this:

@ECHO OFF

REM Distributing Total Access Emailer and other

REM external programs that my application needs.

REM Install Total Access Emailer silently

C:\MyAppFolder\TAERUN32.EXE /s

REM Install SuperWidget 9000

C:\MyAppFolder\SUPERW.EXE

REM Install Font Program

C:\MyAppFolder\FONT.EXE

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures

  • Runtime Licensing Rules

  • Distributing the Emailer File

  • Using the Microsoft Packaging Tools for Distribution

  • Troubleshooting Tips


Troubleshooting Programmatic VBA and Distribution

Here are some issues that may occur while using the Programmatic VBA Interface of the Professional Version.

Error: Sub or Function not defined

Symptom

This error may appear when you invoke a Total Access Emailer function.

Causes

This indicates your database has a missing or bad library reference to the Total Access Emailer library.

If the library reference exists, make sure it’s for the version of Access and database file format that you are using. See the Runtime Libraries chart to determine which file to reference.

Solution

Make sure your database is properly prepared to point to the library database.

  1. Open any Microsoft Access module object (or create a new one). The Microsoft Access Visual Basic for Applications IDE is displayed.

  2. From the menu, select Tools, References to open the References form.

  3. Click the Browse button, and browse for the reference (the required file references can be found within the installation folder which you chose upon the point you installed the product).

  4. Click Debug Compile.

See Preparing Your Database for additional details.

Your database application should now compile with no errors (unless there is another compile-time error within your code that is unrelated to the Total Access Emailer Programmatic Interface). In other words, this assumes that there are no other broken references to components separate from Total Access Emailer and that your code is syntactically correct.

If there are additional problems, make sure the email blast works interactively from the add-in before troubleshooting the VBA code. Assuming it works from the add-in, review your parameters to verify they are correct.

Distribution Troubleshooting Tips

If your distributed application is not functioning properly, check:

  1. TAERun32.EXE or TAERun64.EXE was run on that machine with administrator rights.

  2. The Server Settings are configured properly for your user’s mail server. By default, the Server Settings are located in the usysTEmailerOptions table.

  3. The Total Access Emailer Library Database is properly installed and referenced by your database. In general, it should be installed in the same folder as your database. If your application has a front-end/back-end architecture, make sure the library is deployed with the front-end database. Alternatively, it can be kept on a shared network folder if your database references it the same way from each desktop.

If these troubleshooting tips do not resolve your problem, refer to Contacting Technical Support for information about obtaining Technical Support.

See Also

  • How Total Access Emailer Works

  • Total Access Emailer Procedures

  • Runtime Licensing Rules

  • Distributing the Emailer File

  • Using the Microsoft Packaging Tools for Distribution

  • Running Multiple Programs from Your Setup Program

  • Support Resources


Support Resources

There are many resources available to help you resolve issues you may encounter. Please check the following:

Troubleshooting

  • Emails and SMTP

  • Programmatic VBA and Distribution

Readme File

Check the README file for the latest product information. The README file is located in the directory where you installed the product.

Product Documentation

We've spent a great deal of care and time to make sure the Total Access Emailer manual and help file are very detailed. Check the Table of Contents and Index for your question, and read the appropriate pages.

See Also

  • Web Site Support

  • Technical Support Options

  • Contacting Technical Support


Web Site Support

The FMS web site contains extensive resources to help you use our products better. Resources include product updates, frequently asked questions (FAQs), forums, information on new versions, betas, and other resources.

Web Site

The FMS web site is located at:

www.fmsinc.com

News and important announcements are posted here.

The main support page is located at:

http://support.fmsinc.com

From this page, you can quickly locate the other support resources.

Product Updates

FMS takes product quality very seriously. When bugs are reported and we can fix them, we make the updates available on our web site. If you are encountering problems with our product, make sure you are using the latest version.

Product updates can also be checked using the update wizard.

Frequently Asked Questions (FAQs)

Common questions and additional information beyond what is in the manual is often available from our FAQs.

Microsoft Patches

Our support site also includes links to Microsoft patches that are related to our products. Make sure you’re using the latest versions by checking here or visiting the Microsoft site.

See Also

  • Support Resources

  • Technical Support Options

  • Contacting Technical Support


Technical Support Options

FMS is committed to providing professional support for all of our products. We offer free Web Site Support through our online FAQs and forums. Bug reports, feature requests, suggestions, and general pre-sales questions related to our products are always available at no cost.

Additional maintenance plans are available to provide subscribers with enhanced technical support. This is the best way for you to stay current with the rapidly changing technologies that impact project development, and to ensure you are getting the maximum return from your software investment. Please visit our web site, www.fmsinc.com, for the most up-to-date information.

Features & Benefits

Premium

Incident

Standard

Access to FAQs

Access to Forums

Minor Upgrades/ Bug Fixes

Telephone Support

Per incident

First 30 Days

Email Support

Per incident

First 30 Days

Priority Response Time 1

Senior Engineer Support Team

Email Project for Testing

Programmatic Code Assistance 2

Major Upgrades for Current Version (not between Access versions)

Additional fee

Additional fee

Cost

Annual Fee

Fee Per Incident

Included

  1. Response generally within two business days. Actual resolution may take longer depending on complexity of the issue reported.

  2. Custom Programming implementation is not provided in our Support Maintenance plans. For products that include a programmatic interface, we can provide instructions for using our programmatic interface, and show examples, but we do not implement this into your projects. This service is available from our Professional Solutions Group.

Premium Subscription

The Premium Subscription is the ideal option for customers seeking the highest level of support. The annual fee entitles you to telephone and email technical support from a senior support engineer.

From time to time, FMS may release new versions of existing products with new features. These are point releases (e.g. from version 15.0 to 15.7) and are different from new builds that correct problems in existing features (e.g. from version 16.00.0001 to 16.00.0002).

These point releases are available for a nominal upgrade fee to existing customers. Premium Technical Support subscribers receive these upgrades automatically and for no additional charge during their subscription term.

NOTE: Upgrades between versions (for instance going from Access 2013 to Access 2016) are not considered Point Release Upgrades and are not included in the Premium Subscription.

Subscriptions are available for a twelve month period, and may be purchased at any time. You must be the registered owner of the product to purchase a subscription and the only person contacting FMS for support under the subscription.

Please ensure you have purchased the Subscription you need for Total Access Emailer.

Per Incident

Our Per Incident package is available individually or by purchasing multiple incidents in advance. The Per Incident support package provides telephone and email technical support from a Senior Technical Support Engineer for resolving one incident.

An incident is defined as a single question related to one of our products. The Per Incident period is from start to finish (report of the incident to resolution) for a single incident. If you anticipate multiple questions for a single product, we recommend purchasing the Premium Subscription.

Standard Subscription

Our Standard Subscription comes with every product purchased for no additional cost. The standard subscription comes with access to our FAQs and forums, and responses to bug reports and feature requests for that version.

Please note that the person requesting support must also be the registered user of the product. Registration is required and is requested by our Technical Support professionals.

See Also

  • Troubleshooting Tips

  • Support Resources

  • Web Site Support

  • Contacting Technical Support


Contacting Technical Support

If the troubleshooting suggestions and other support resources fail to resolve your problem, please contact our technical support department. We are very interested in making sure you are satisfied with our product.

Registering Your Software

Please register your copy of Total Access Emailer at:

http://www.fmsinc.com/register

You must be registered to receive technical support. Registration also entitles you to free product updates, notifications, information about upcoming products, and beta invitations. You can even receive free email notification of our latest news.

Contact Us

The best way to contact us is to submit a ticket on our support site:

http://support.fmsinc.com

Please provide detailed information about the problem that you are encountering. This should include the name and version of the product, your operating system, and the specific problem. If the product generated an error file, please submit that as well.

Our ticketing system will let you track the progress of your issue and see the entire thread of communications and file attachments.

Please bear in mind that a unique issue may involve meetings between the technical support staff and product developers, so your patience is appreciated.

Microsoft Technical Support

FMS only provides technical support for its products. If you have questions regarding Microsoft products, please contact Microsoft technical support.

See Also

  • Support Resources

  • Web Site Support

  • Technical Support Options


License Agreement

PLEASE READ THE FMS SOFTWARE LICENSE AGREEMENT. YOU MUST AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT BEFORE YOU CAN INSTALL OR USE THE SOFTWARE.

IF YOU DO NOT ACCEPT THE TERMS OF THE LICENSE AGREEMENT FOR THIS OR ANY FMS SOFTWARE PRODUCT, YOU MAY NOT INSTALL OR USE THE SOFTWARE. YOU SHOULD PROMPTLY RETURN ANY FMS SOFTWARE PRODUCT FOR WHICH YOU ARE UNWILLING OR UNABLE TO AGREE TO THE TERMS OF THE FMS SOFTWARE LICENSE AGREEMENT FOR A REFUND OF THE PURCHASE PRICE

Ownership of the Software

The enclosed software program (“SOFTWARE”) and the accompanying written materials are owned by FMS, Inc. or its suppliers and are protected by United States copyright laws, by laws of other nations, and by international treaties. You must treat the SOFTWARE like any other copyrighted material except that you may make one copy of the SOFTWARE solely for backup or archival purpose, and you may transfer the SOFTWARE to a permanent storage device.

Grant of License

The SOFTWARE is available in a Standard Version and a Professional Version. The Professional Version includes a programmatic interface and Runtime License.

The SOFTWARE is available on a per license basis. Licenses are granted on a PER USER basis. For each license, one designated person can use the SOFTWARE on one computer at a time.

Use and Redistribution Rights

This SOFTWARE license is for one user only.

A Runtime License can be purchased as part of the Professional Version or as a separate license after the purchase of the Standard Version. The Runtime License grants limited redistribution rights. The Runtime Library Database is available to distribute applications that use the email settings created with Total Access Emailer. The Runtime License provides the non-exclusive, royalty-free right to incorporate email blasts from Total Access Emailer in your applications, provided that:

  1. Each developer using the SOFTWARE owns a Runtime License.

  2. Your application adds substantial value to the SOFTWARE and is not a standalone email program.

  3. Your application does not attempt to replicate the interactive user interface of the SOFTWARE.

  4. Your application is not a freeware or shareware product.

  5. You only distribute the designated redistributable files and no other files of the SOFTWARE.

  6. If you claim a copyright, you must add a clause stating “Portions of this program are copyright Total Access Emailer from FMS, Inc.”, and do not claim ownership of the SOFTWARE.

  7. You agree to indemnify, hold harmless, and defend FMS and its suppliers or contractors from and against any claims or lawsuits, including attorneys’ fees, which arise or result from the use or distribution or other activities relating to your applications.

Other Limitations

Under no circumstances may you attempt to reverse engineer this product. You may not rent or lease the SOFTWARE, but you may transfer the SOFTWARE and the accompanying written materials on a permanent basis provided you retain no copies and the recipient agrees to the terms in this SOFTWARE License. Ownership transfers must be reported to FMS, Inc. in writing and are not accepted if the original developer already distributed applications using the SOFTWARE.

Transfer of License

If your SOFTWARE is marked, “NOT FOR RESALE,” you may not sell or resell the SOFTWARE, nor may you transfer the FMS Software license.

If your SOFTWARE is not marked, “NOT FOR RESALE,” you may transfer your license of the SOFTWARE to another user or entity provided that:

  1. You have not distributed applications including the SOFTWARE with the Runtime License.

  2. The recipient agrees to all terms of the FMS Software License Agreement.

  3. You provide all original materials including software disks or compact disks, and any other part of the SOFTWARE’s physical distribution to the recipient.

  4. You remove all installations of the SOFTWARE and notify FMS, in writing, of the ownership transfer.

Limited Warranty

If you discover physical defects in the media on which this SOFTWARE is distributed, or in the related manual, FMS, Inc. will replace the media or manual at no charge to you, provided you return the item(s) within 60 days after purchase.

ALL IMPLIED WARRANTIES ON THE MEDIA AND MANUAL, INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE LIMITED TO SIXTY (60) DAYS FROM THE DATE OF PURCHASE OF THIS PRODUCT.

Although FMS, Inc. has tested this program and reviewed the documentation, FMS, Inc. makes no warranty or representation, either expressed or implied, with respect to this SOFTWARE, its quality, performance, merchantability, or fitness for a particular purpose. As a result, this SOFTWARE is licensed “AS-IS”, and you are assuming the entire risk as to its quality and performance.

IN NO EVENT WILL FMS, INC. BE LIABLE FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES RESULTING FROM THE USE, OR INABILITY TO USE THIS SOFTWARE OR ITS DOCUMENTATION.

THE WARRANTY AND REMEDIES SET FORTH IN THIS LIMITED WARRANTY ARE EXCLUSIVE AND IN LIEU OF ALL OTHERS, ORAL OR WRITTEN, EXPRESSED OR IMPLIED.

Some states do not allow the exclusion or limitation of implied warrantees or liability for incidental or consequential damages, so the above limitations or exclusions may not apply to you. This warranty gives you specific legal rights; you may also have other rights that vary from state to state.

U.S. Government Restricted Rights

The SOFTWARE and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c) (1) (ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, as applicable.

Manufacturer is FMS Inc., Vienna, Virginia.

Total Access Emailer is copyright Ó by Financial Modeling Specialists, Inc.
All rights reserved.
Microsoft, Microsoft Access, Microsoft Office Access, Microsoft Office 365, Visual Studio .Net, Visual Basic for Applications, Visual Basic, Microsoft Windows, Windows XP, Windows Vista, Windows 7, Windows 8 and Windows 10 are registered trademarks of Microsoft Corporation. All other trademarks are trademarks of their respective owners.


Email Validation

Before sending your email blast, you can run a quick check to verify all the email addresses in your data source. Introduced in 2016, the Email Validation button checks the email addresses in the currently selected email blast.

It checks the emails in your email address field. If your Cc or Bcc fields reference a field in your data source, it also checks them.

It reviews your email addresses to verify it meets basic syntax standards. It does not verify whether the email address or domain name are valid.

If it finds any invalid emails, it shows the list:

Invalid Emails

It makes sure your email addresses have no spaces, an @ sign exists, text is before and after the @, text after the @ has a period, etc. This is identical to the TotalAccessEmailer_Email_IsValid Function in the Professional Version.

See Also

  • Main Menu Overview


Previewing an Email Blast with No Email Address

You can also preview email blasts that only save files to disk (no email address is provided). Before running the blast, you can save the files in a test folder. This may be critical if the saved files overwrite existing ones and you need to verify the new files are okay before doing so.

From the main menu, select the email blast to test, and click the Preview button to open the Preview Options form. If the email blast doesn't have an email address, this preview form appears:

???

Preview Options Form

The following options are available:

Number of Records to Preview

Specify the maximum number of records from your data source to preview. Total Access Emailer retrieves your data and generates the individual emails for these records.

Note that for Bulk Mailings, the number of messages is smaller than the number of records.

Where do you want to send the Email?

You can send the email to the screen, a table, or an email address.

Send Email to Screen

Select this option to preview the emails on the screen. When you click OK, the Sample Messages form displays the emails:

Preview Sample Messages

The Text Message tab displays the text message that will be sent, if any. The HTML Message tab displays the HTML message that will be sent, if any.

Send Email to This Table

Select this option to send the emails to a table in your database, and enter the name of the table for Total Access Emailer to create. If it already exists, a message box asks to confirm overwriting it.

Preview Table

The table includes fields for the From, To, Cc, and Bcc addresses, the subject, attachment file names, text message, and HTML message. An email blast may or may not have values for all of these fields, depending on its specifications.

Send All Emails to This Email Address

Select this option to send the sample emails to a specified email address. This email address is used instead of the email address in your data source. Sending the preview email to yourself is a great way to examine what the actual recipient sees.

Send Sample Emails to My Email Address

You can send the preview to multiple email addresses by separating them with commas:

Send Sample Messages to Email Addresses

Note that any Cc and Bcc addresses you specified in your email blast are ignored to prevent actual recipients from receiving your email. This applies to both standard and bulk mailings. To verify the To, Cc, and Bcc addresses, send the preview to the screen or table.

When you send the email to an email address, your SMTP settings must be correct.

Perform Audit Features During Preview

Check the Perform Audit Features check box to track the email blast during with the settings specified on the Auditing Tab:

When you perform audit features during preview, only the emails that you preview are audited. That is, if your data source contains 100 email addresses, but you only preview 5, only the 5 that you preview are tracked.

When you perform audit features, your data is updated exactly the same as when you send the email blast. The audit field or table might reflect that an email was sent to a particular record, when in fact that record was only included in the preview. Because of this, you should not perform audit features if you plan to resend an email blast to people who did not previously receive it.

See Also

  • Email Blast Report

  • Verifying Results and Data

  • Launching the Email Blast

  • Viewing the Results


Save Files Tab

Total Access Emailer includes optional Save Files feature to preserve a local copy of the file attachments you email, or to generate local files without sending any emails. Files can be saved to a folder you specify and can also include a reference to your data source so each recipient's file names are unique:

Settings Editor, Save Files Tab

Check the box for “Save copies of attachments” and specify the folder where they are saved:

Specify the Folder to Save the Files

Folder Location

The folder location can be a static folder or include a field from your data source so each recipient’s files are identified separately. Fields can be referenced by using brackets around the field name.

In the example, the Email field is referenced, so files are stored in the C:\Emailer\archives folder prefixed with each record’s email address.

Handling Duplicate File Names

There are three options for handling files if the file name already exists. The file may already exist before the email blast is run, or get created from a previous record in the email blast:

Options for Setting Duplicate File Names

Three options are available:

  • Add Number to Name with Parenthesis

  • Add Number to Name

  • Overwrite existing file (old file is replaced)

When numbers are added, the first copy is made with its name (e.g. MyReport.pdf). The next copy is incremented (e.g. MyReport (1).pdf or MyReport1.pdf).

See Also

  • Basics Tab

  • Addresses Tab

  • Text Tabs: Header, Body, and Footer

  • HTML Tab

  • Attachment Tab

  • Auditing Tab

  • Statistics Tab


TotalAccessEmailer_PreviewSaveFiles Function

The TotalAccessEmailer_PreviewSaveFiles function is similar to the TotalAccessEmailer_Preview function, except it lets you preview an email blast with the Save File option. This feature only works if the email blast has the Save Files option checked. If not, this function behaves the same as TotalAccessEmailer_Preview.

Similar to the Preview feature from the add-in, you can specify the save folder. This lets your users verify if the email blast they’ve created is ready before sending it.

The code for this function can be automatically generated by the Code Generator feature so you can paste it into your module.

Procedure Definition

Public Function TotalAccessEmailer_PreviewSaveFiles( _
ByVal strEmailAddress As String, _
ByVal lngRecords As Long, _
ByVal strSaveFolder As String, _
ByVal lngEmailID As Long, _
ByVal fRestartBlast As Boolean, _
ByVal strDisplayType As String, _
ByVal strDisplayTitle As String, _
ByVal fShowResults As Boolean, _
ByVal fShowErrors As Boolean, _
Optional ByVal strEmailTbl As String, _
Optional ByVal strOptionsTbl As String, _
Optional ByVal strEmbedTbl As String) _
As String

Return Value

The function returns the error string, or an empty string if the email blast ran without errors.

Parameters

The parameters are identical to the TotalAccessEmailer_Preview function with the addition of the strSaveFolder parameter to specify the folder to store the attachment files.

strSaveFolder (string)

The folder to save the files. If this is not provided, no files are saved.

Additional Parameters

For more details on the other preview parameters (strEmailAddress and lngRecords), see the TotalAccessEmailer_Preview function.

For the other parameters, see the TotalAccessEmailer function parameters.

See Also

  • How Total Access Emailer Works

  • Changing the Address for Test Emails

  • Programmatic Interface

  • Runtime Libraries

  • Total Access Emailer Procedures

  • Scheduling Email Blasts to Run Automatically

  • Distributing Total Access Emailer